package com.boco.nbd.wios.core.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 基础java bean
 *
 * @author lilin
 * @version [版本号, 2018年11月15日]
 */
@SuppressWarnings("serial")
public abstract class BaseBean implements Serializable {
    /**
     * 重写toString
     *
     * @return String
     */
    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
    }
}
