package com.boco.nbd.wios.core.enums;

/**
 * @author:cao hai
 * @date:2022/11/9 14:12
 * @version:V1.0
 * @description:RoleEnum
 * @modify:
 */
public enum RoleEnum {

    /**
     * 角色枚举
     * 1,超级管理员,不可删除
     * 2,主机厂管理员,不可删除
     * 3,经销商管理员,不可删除
     * 4,服务商管理员,不可删除
     * 5,区域工程经理,不可删除
     * 6,CAMS管理员,不可删除
     */
    SUPPER(1), OEM(2), OEM_AGENT(3), SUPPLIER(4), REGION_MANAGER(5), CAMS(6);

    RoleEnum(Integer key) {
        this.key = key;
    }

    public Integer getKey() {
        return key;
    }

    public void setKey(Integer key) {
        this.key = key;
    }

    /**
     * 枚举
     */
    private Integer key;

}
