package com.boco.nbd.wios.downloadfile.fileio;

/**
 * @author haica
 */
public interface IFileIo {

	/**
	 * save
	 * @param entity
	 */
	void save(FileIoEntity entity);

	/**
	 * saveBak
	 * @param entity
	 */
	void saveBak(FileIoEntity entity);

	/**
	 * updateContent
	 * @param id
	 * @param content
	 */
	void updateContent(String id, final byte[] content);

	/**
	 * remove
	 * @param entity
	 * @return
	 */
	boolean remove(FileIoEntity entity);

	/**
	 * get
	 * @param id
	 * @return
	 */
	byte[] get(String id);

	/**
	 * execute
	 * @param fileIoEntity
	 * @param fileInputStreamImpl
	 * @throws Exception
	 */
	void execute(FileIoEntity fileIoEntity, IFileInputStream fileInputStreamImpl) throws Exception;

}
