package com.boco.nbd.wios.export;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author yong
 */
public class Contants {

    public static final String export_visitOrder_title =
            "车企单号,来源,您的姓名：,您的手机号码：,1. 请您对勘测及安装人员在为您提供服务时的服务态度进行评价？,1.1 请问您给出上一题分数的原因是什么呢？,2. 请您对家充墙盒安装服务周期进行评价？,2.1 请问您给出上一题分数的原因是什么呢？,3. 请您对家充墙盒安装的整体效果进行评价？,3.1 请问您给出上一题分数的原因是什么呢？,4. 请您对家充墙盒安装后的充电体验进行评价？,4.1 请问您给出上一题分数的原因是什么呢？,5. 请您对家充墙盒安装后，安装人员的使用指导培训进行评价？,5.1请问您给出上一题分数的原因是什么呢？,6. 请问您是否了解墙盒售后问题的反馈渠道？,7. 关于家庭充电方面，您还有哪些方面的诉求？,8. 请问您墙盒线缆的安装长度？,总分";

    public static final String export_visitOrder_field = "outOrderId,source,userName,userPhone,score,knowAfterSalesChannel,installLength,scoreName1,score1,description1,scoreName2,score2,description2,scoreName3,score3,description3,scoreName4,score4,description4,scoreName5,score5,description5";

    public static final String export_order_title =
            "序号,安装单号,车企安装单号,创建时间,主机厂,经销商信息,车型,区域,省份,城市,地址,车主姓名,车辆底盘号,增盒品牌,增盒型号,设备编号,安装服务商,是否为售车前预勘测,订单状态,电工,是否报装,报装状态,电缆长度,室内/室外,是否立柱,增项收款金额,客户评分,登记时间,派单时间,预约勘测时间,勘测完成时间,提交勘测审核时间,勘测审核通过时间,预约安装时间,安装完成时间,提交安装审核时间,安装审核通过时间,回访时间,订单关闭时间,下次更新时间,状态标签,备注,勘测审核不通过次数,安装审核不通过次数,发票号,经度,纬度";

    public static final String export_order_field =
            "no,id,outOrderId,createTimeStr,oemName,oemAgentInfo,vehicleModel,area,province,city,address,userName,vehicleChassisNo,wallboxModelStr,installItemModelStr,wallboxNo,supplierName,surveyBeforeSaleEnableStr,statusStr,installStaffName,electricExpandStr,expandStatusStr,realCableMeter,installPositionStr,needErectPileStr,predictTotalFee,score,registerTimeStr,dispatchTimeStr,surveyReserveTimeStr,surveyFinishTimeStr,surveySubmitExamineTimeStr,surveyApproveTimeStr,installReserveTimeStr,installFinishTimeStr,installSubmitExamineTimeStr,installApproveTimeStr,returnVisitTimeStr,closeTimeStr,nextTime,tag,remark,surveyCheckFailNum,installCheckFailNum,invoiceNumber,longitude,latitude";

    public static final String export_oem_title = "序号,编码,简称,联系人,全称,社会统一信用代码,管理账户,是否需要人工派单";

    public static final String export_oem_field = "no,code,shortName,contactName,name,organizationCode,accountName,manualDispatchOrderStr";

    public static final String export_agent_title = "编码,名称,联系人,社会统一信用代码,所属主机厂,是否需要人工派单,管理账户";

    public static final String export_agent_field =
            "code,name,contactName,organizationCode,parentOemName,manualDispatchOrderStr,accountName";

    public static final String export_supplier_title = "序号,编码,服务商名称,社会统一信用代码,地址,联系人,联系方式,日接单能力,管理账户";

    public static final String export_supplier_field =
            "no,code,name,organizationCode,address,contactName,contactPhone,maxOrderQuantity,accountName";

    public static final String export_oemContract_title = "序号,合同编号,主机厂/经销商,设备结算方,安装服务结算方,合同开始时间,合同结束时间,销售员,结算周期（月）,质保期（月）,是否使用cams设备,状态";

    public static final String export_oemContract_field =
            "no,code,oemName,deviceSettlementName,installSettlementName,startDateStr,endDateStr,saleAccount,settleInterval,guaranteePeriod,camsDeviceEnableStr,statusStr";

    public static final String export_supplierContract_title = "序号,协议编号,服务商,联系人,联系方式,地区,地址,签约时间,结算周期（月）,协议开始时间,协议结束时间,状态";

    public static final String export_supplierContract_field =
            "no,code,supplierName,contactName,contactPhone,regionName,address,signDateStr,settleInterval,startDateStr,endDateStr,statusStr";

    public static final String export_oemSettlementDetail_title =
            "安装单号,车主,车主联系电话,设备价格（元）不含税,设备价格（元）含税,安装服务费（元）不含税,安装服务费（元）含税,订单总价（元）不含税,订单总价（元）含税,安装完成时间";

    public static final String export_oemSettlementDetail_field =
            "orderId,userName,userPhone,deviceFee,deviceFeeWithTax,installServiceFee,installServiceFeeWithTax,totalFee,totalFeeWithTax,installFinishTimeStr";

    public static final String export_supplierSettlementDetail_title =
            "安装单号,车主,车主联系电话,勘察价格,勘察价格（含税）,增项价格（元）,增项价格（含税）,安装价格（元）,安装价格（含税）,报装价格,订单总价（元）,订单总价（含税）,安装完成时间";

    public static final String export_supplierSettlementDetail_field =
            "orderId,userName,userPhone,surveyFee,surveyFeeWithTax,itemFee,itemFeeWithTax,installFee,installFeeWithTax,expandFee,totalFee,totalFeeWithTax,finishTimeStr";

    public static final String export_score_supplier_title = "安装服务商,所属区域,评价月份,综合评分,采购评分(xx%),总分,线上评分,线下评分,客户评分,扣分";

    public static final String export_score_supplier_field =
            "supplierName,regionName,month,finalScore,finalPurchasing,finalEngineering,online,offline,customer,finalDeduct";

    public static final String export_warrantyOrder_title = "序号,订单号,车主姓名,车主电话,电桩编号/二维码,维保开始时间,维保到期时间";

    public static final String export_warrantyOrder_field = "no,orderId,userName,userPhone,wallboxNo,startTimeStr,endTimeStr";

    public static final String export_wareHouse_title = "序号,仓库名称,仓库等级,仓库区域,仓库归属,收件人,联系电话,仓库地址,启用状态,备注";

    public static final String export_wareHouse_field = "no,name,warehouseLevenName,areaName,warehouseAttributionName,receivePeople,receivePhone,receiveAddress,isEnabledName,msg";

    public static final String export_single_title = "调拨单号,创建时间,创建人,说明,调拨类型,调入仓库,调出仓库";

    public static final String export_single_field = "id,createTime,createAccount,info,typeStr,transferInName,transferOutName";

    public static final String export_materialInventory_title = "仓库,物料名称,物料编码,单位,库存数量,已占用数量,待使用数量";

    public static final String export_materialInventory_field =
            "warehouseName,materialsName,materialsCode,unit,remainingNumber,hasNumber,stayWithNumber";

    public static final String export_supplierStaff_title = "序号,用户姓名,登录账号,是否有保险,电工证,证件有效期,角色";

    public static final String export_supplierStaff_field = "no,name,loginAccount,insureStr,certFiles,certExpireStr,roleName";

    public static final String export_operateLog_title = "序号,操作,记录事项,人员,时间";

    public static final String export_operateLog_field = "no,value,desc,createAccountName,createTimeStr";

    public static final String export_installDataTable_title = "区域,安装服务商,订单总量,待安装量,安装完成量,安装失败量";

    public static final String export_installDataTable_field =
            "regionName,supplierName,countTotal,countUnfinished,countFinished,countClosed";

    public static final String export_invoice_title = "抬头,开票总金额（元）,申请开票时间,开票状态,发票类型,申请人账号,开票主体,出票方";

    public static final String export_invoice_field =
            "invoiceTitle,invoiceAmount,applyTime,statusStr,invoiceTypeStr,applyAccount,businessTypeStr,finalInvoiceCompanyName";

    public static final String export_orderDetail_title = "订单号,服务商,订单类型,费用项目,车企类型,规格,物料号,计量单位,数量,单价,订单金额,是否支付,支付方名称,支付方式（微信/支付宝）,支付时间,开票方式（线上/线下）,开票抬头,开票时间,发票号码";

    public static final String export_orderDetail_field =
            "id,installType,orderType,itemName,itemBrand,itemModel,materialsCode,unit,qunatity,ratePrice,fee,hasPay,payName,payType,payTime,invoiceType,invoiceName,invoiceTime,invoiceNum";
    public static final String export_wallBox_title = "序号,申请团队,安装订单号,安装单最近状态,区域,是否特殊申请,审核状态,物流状态,剩余时间,超时类型,数量,申请时间";

    public static final String export_wallBox_field =
            "id,supplierTeam,orderId,installStatusName,regionName,ifEmergencyName,checkStatusName,trackingStatusName,timeRemaining,ifTimeoutName,number,createdTime";
}
