package com.boco.nbd.wios.export.bo;

import io.swagger.annotations.ApiModelProperty;

public class OrderInstallExportBo {

    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "客户姓名")
    private String userName;
    
    @ApiModelProperty(value = "联系电话")
    private String userPhone;
    
    @ApiModelProperty(value = "施工人员")
    private String installStaffName;
    
    @ApiModelProperty(value = "施工人员联系电话")
    private String installStaffPhone;
    
    @ApiModelProperty(value = "经销商销售代码")
    private String oemCode;
    
    @ApiModelProperty(value = "经销商名称")
    private String oemName;
    
    @ApiModelProperty(value = "车辆底盘号")
    private String vehicleChassisNumber;
    
    @ApiModelProperty(value = "订单编号")
    private String orderId;
    
    @ApiModelProperty(value = "墙盒服务商名称")
    private String wallboxModelName;
    
    @ApiModelProperty(value = "墙盒设备编号")
    private String wallboxNo;
    
    @ApiModelProperty(value = "住宅类型")
    private String houseTypeStr;
    
    @ApiModelProperty(value = "车位类型")
    private String parkingTypeStr;
    
    @ApiModelProperty(value = "施工位置")
    private String address;
    
    @ApiModelProperty(value = "是否进行电力报装")
    private String electricExpandStr;
    
    @ApiModelProperty(value = "电源点类型")
    private String installPowerTypeStr;
    
    @ApiModelProperty(value = "电源接入点位置")
    private String installPowerPosition;
    
    @ApiModelProperty(value = "充电桩安装车位号")
    private String parkingNo;
    
    @ApiModelProperty(value = "实际安装方式")
    private String realInstallTypeStr;
    
    @ApiModelProperty(value = "实际长度线缆（米）")
    private String realCableMeter;
    
    @ApiModelProperty(value = "实际电缆规格")
    private String realCableTypeStr;
    
    @ApiModelProperty(value = "实际电缆敷设方式")
    private String realCableInstallTypeStr;
    
    @ApiModelProperty(value = "充电设施检查")
    private String chargeCheck;
    
    @ApiModelProperty(value = "电缆敷设检查")
    private String cableCheck;
    
    @ApiModelProperty(value = "现场培训内容")
    private String trainContent;
    
    @ApiModelProperty(value = "客户评价")
    private String clientRate;
    
    public String getUserName() {
        return userName;
    }
    
    public String getUserPhone() {
        return userPhone;
    }
    
    public String getOemCode() {
        return oemCode;
    }
    
    public String getOemName() {
        return oemName;
    }
    
    public String getVehicleChassisNumber() {
        return vehicleChassisNumber;
    }
    
    public String getOrderId() {
        return orderId;
    }
    
    public String getWallboxModelName() {
        return wallboxModelName;
    }
    
    public String getWallboxNo() {
        return wallboxNo;
    }
    
    public String getHouseTypeStr() {
        return houseTypeStr;
    }
    
    public String getParkingTypeStr() {
        return parkingTypeStr;
    }
    
    public String getAddress() {
        return address;
    }
    
    public String getElectricExpandStr() {
        return electricExpandStr;
    }
    
    public String getInstallPowerTypeStr() {
        return installPowerTypeStr;
    }
    
    public String getInstallPowerPosition() {
        return installPowerPosition;
    }
    
    public String getParkingNo() {
        return parkingNo;
    }
    
    public String getRealInstallTypeStr() {
        return realInstallTypeStr;
    }
    
    public String getRealCableMeter() {
        return realCableMeter;
    }
    
    public String getRealCableTypeStr() {
        return realCableTypeStr;
    }
    
    public String getRealCableInstallTypeStr() {
        return realCableInstallTypeStr;
    }
    
    public String getChargeCheck() {
        return chargeCheck;
    }
    
    public String getCableCheck() {
        return cableCheck;
    }
    
    public String getTrainContent() {
        return trainContent;
    }
    
    public String getClientRate() {
        return clientRate;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }
    
    public void setOemCode(String oemCode) {
        this.oemCode = oemCode;
    }
    
    public void setOemName(String oemName) {
        this.oemName = oemName;
    }
    
    public void setVehicleChassisNumber(String vehicleChassisNumber) {
        this.vehicleChassisNumber = vehicleChassisNumber;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public void setWallboxModelName(String wallboxModelName) {
        this.wallboxModelName = wallboxModelName;
    }
    
    public void setWallboxNo(String wallboxNo) {
        this.wallboxNo = wallboxNo;
    }
    
    public void setHouseTypeStr(String houseTypeStr) {
        this.houseTypeStr = houseTypeStr;
    }
    
    public void setParkingTypeStr(String parkingTypeStr) {
        this.parkingTypeStr = parkingTypeStr;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }
    
    public void setElectricExpandStr(String electricExpandStr) {
        this.electricExpandStr = electricExpandStr;
    }
    
    public void setInstallPowerTypeStr(String installPowerTypeStr) {
        this.installPowerTypeStr = installPowerTypeStr;
    }
    
    public void setInstallPowerPosition(String installPowerPosition) {
        this.installPowerPosition = installPowerPosition;
    }
    
    public void setParkingNo(String parkingNo) {
        this.parkingNo = parkingNo;
    }
    
    public void setRealInstallTypeStr(String realInstallTypeStr) {
        this.realInstallTypeStr = realInstallTypeStr;
    }
    
    public void setRealCableMeter(String realCableMeter) {
        this.realCableMeter = realCableMeter;
    }
    
    public void setRealCableTypeStr(String realCableTypeStr) {
        this.realCableTypeStr = realCableTypeStr;
    }
    
    public void setRealCableInstallTypeStr(String realCableInstallTypeStr) {
        this.realCableInstallTypeStr = realCableInstallTypeStr;
    }
    
    public void setChargeCheck(String chargeCheck) {
        this.chargeCheck = chargeCheck;
    }
    
    public void setCableCheck(String cableCheck) {
        this.cableCheck = cableCheck;
    }
    
    public void setTrainContent(String trainContent) {
        this.trainContent = trainContent;
    }
    
    public void setClientRate(String clientRate) {
        this.clientRate = clientRate;
    }
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getInstallStaffName() {
        return installStaffName;
    }
    
    public String getInstallStaffPhone() {
        return installStaffPhone;
    }
    
    public void setInstallStaffName(String installStaffName) {
        this.installStaffName = installStaffName;
    }
    
    public void setInstallStaffPhone(String installStaffPhone) {
        this.installStaffPhone = installStaffPhone;
    }
    
    
}
