package com.boco.nbd.wios.flow.entity.bo;

import com.boco.nbd.wios.flow.entity.po.OrderInstallPO;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import com.boco.nbd.wios.flow.entity.po.OrderSurveyPO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/8/3 9:21
 * @version:V1.0
 * @description:BusinessDataBO
 * @modify:
 */
@Data
public class BusinessDataBO {

    @ApiModelProperty(value = "工单号")
    private String workId;

    @ApiModelProperty(value = "业务数据-工单")
    private OrderPO business;

    @ApiModelProperty(value = "业务数据-勘测")
    private OrderSurveyPO businessSurvey;

    @ApiModelProperty(value = "业务数据-安装")
    private OrderInstallPO businessInstall;

}
