package com.boco.nbd.wios.flow.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/8/30 17:12
 * @version:V1.0
 * @description:ConnectUserConfigBO
 * @modify:
 */
@Data
public class ConnectUserConfigBO {

    @ApiModelProperty(value = "用户")
    private String userId;

    @ApiModelProperty(value = "用户")
    private String userName;

    /**
     * 转换
     *
     * @param bo
     * @return
     */
    public static ConnectUserConfigBO toBo(ConnectConfigBO bo) {
        ConnectUserConfigBO configBO = new ConnectUserConfigBO();
        configBO.setUserId(bo.getUserId());
        configBO.setUserName(bo.getUserName());
        return configBO;
    }
}
