package com.boco.nbd.wios.flow.entity.bo;

import com.boco.nbd.framework.persistence.PageQO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: TODO
 * @Author: ZQY
 * @Date: 2022/8/29
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class InstallationDataStatisticsBO  {


    @ApiModelProperty(value = "区域")
    private String region;
    @ApiModelProperty(value = "服务商名称")
    private String installSupplierName;
    @ApiModelProperty(value = "订单总量")
    private Long ordersTotal;
    @ApiModelProperty(value = "拒接数量")
    private Long refuseTotal;
    @ApiModelProperty(value = "安装失败数量")
    private Long installationFailedTotal;
    @ApiModelProperty(value = "安装完成数量")
    private Long installationCompleteTotal;
    @ApiModelProperty(value = "平均安装时长")
    private String avgInstallationTime;
    @ApiModelProperty(value = "订单完成率")
    private String orderRate;




}
