package com.boco.nbd.wios.flow.entity.pdf;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author miaoguoqing
 * @version V1.0
 * @ClassName BlockPairBo
 * @description
 * @email miaoguoqing@boco.com.cn
 * @date 2022/10/27
 */
@Data
public class BlockPairBo {

    @ApiModelProperty(value = "区块对", hidden = true)
    private List<SurveyDataBo> experiences;

    @ApiModelProperty("附件类型")
    @NotNull(message = "附件类型不能为空！")
    private Integer type;

    @ApiModelProperty("安装单号")
    @NotBlank(message = "安装单号为空！")
    private String id;


}
