package com.boco.nbd.wios.flow.entity.pdf;

import com.deepoove.poi.data.PictureRenderData;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author miaoguoqing
 * @version V1.0
 * @ClassName SurveyDataBo
 * @description 勘测模板数据
 * @email miaoguoqing@boco.com.cn
 * @date 2022/10/27
 */
@Data
public class SurveyDataBo {

    @ApiModelProperty("模板标题")
    private String title;

    @ApiModelProperty("描述")
    private String describe;

    @ApiModelProperty("附件路径")
    private String urlPath;

    @ApiModelProperty("图片渲染数据")
    private PictureRenderData picture;

}
