package com.boco.nbd.wios.flow.entity.po;

import com.boco.nbd.wios.flow.entity.bo.UserBO;
import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/6/22 14:25
 * @version:V1.0
 * @description:UserPO
 * @modify:
 */
@Data
public class UserPO {

    private Long roleId;

    private String roleName;

    private Long userId;

    private Integer vendorType;

    private String userName;

    private String phone;

    private Long groupId;

    private Long vendorId;

    private String vendorName;

    /**
     * toBo
     *
     * @return
     */
    public UserBO toBo() {
        UserBO bo = new UserBO();
        bo.setUserId(this.userId);
        bo.setUserName(this.userName);
        bo.setPhone(this.phone);
        bo.setRoleName(this.roleName);
        bo.setAreSelect((groupId != null));

        return bo;
    }

}
