package com.boco.nbd.wios.flow.entity.qo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * @Description: TODO
 * @Author: ZQY
 * @Date: 2022/10/11
 **/
@Data
public class EvaluationStatisticsQo {


    @ApiModelProperty(value = "安装服务商")
    private String installSupplierId;

    @ApiModelProperty(value = "区域ID")
    private String areaId;

    @ApiModelProperty(value = "开始时间  yyyy-mm-dd")
    private String startTime;


    @ApiModelProperty(value = "结束时间  yyyy-mm-dd")
    private String endTime;

    @ApiModelProperty(value = "时间类型 1：建单时间  2：工单关闭时间")
    private String timeType;


    @ApiModelProperty(value = "是否需要电力报装 0：否 1：是",hidden = true)
    private String electricExpand;


    @ApiModelProperty(value = "节点集合")
    private List<String> nodeFlag;


}
