package com.boco.nbd.wios.flow.entity.qo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/9/30 12:03
 * @version:V1.0
 * @description:FlowChartQo
 * @modify:
 */
@Data
public class FlowChartQo {

    @ApiModelProperty(value = "流程实例Id")
    private String processInsId;

    @ApiModelProperty(value = "工单Id")
    private String workId;

    @ApiModelProperty(value = "流程节点标识")
    private String nodeFlag;

    @ApiModelProperty(value = "当前任务受理时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date currentStartTime;

    @ApiModelProperty(value = "当前任务处理时限")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dueDate;

}
