package com.boco.nbd.wios.flow.entity.vo;

import com.boco.nbd.wios.flow.entity.bo.FlowChartBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author:cao hai
 * @date:2022/8/3 14:21
 * @version:V1.0
 * @description:TODO FlowChartVO
 * @modify:
 */
@Data
public class FlowChartVO {

    /**
     * 构造函数
     *
     * @param tab
     * @param cell
     */
    public FlowChartVO(List<FlowChartBO> tab, List<FlowChartBO> cell) {
        this.tabChart = tab;
        this.cellChart = cell;
    }

    /**
     * tab chart
     */
    List<FlowChartBO> tabChart;

    /**
     * 单元格 chart
     */
    List<FlowChartBO> cellChart;

    @ApiModelProperty(value = "是否进行电力报装 0:否1：是")
    Integer electricExpand;
}
