package com.boco.nbd.wios.flow.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/7/18 16:56
 * @version:V1.0
 * @description:OrderVO
 * @modify:
 */
@Data
public class OrderVO {

    @ApiModelProperty(value = "安装单号")
    private String id;

    @ApiModelProperty(value = "安装地址")
    private String address;

    @ApiModelProperty(value = "勘测客户姓名")
    private String surveyClientName;

    @ApiModelProperty(value = "勘测客户手机号")
    private String surveyClientPhone;

    @ApiModelProperty(value = "车型号")
    private String vehicleModel;

    @ApiModelProperty(value = "外部订单编号,车企安装单号")
    private String outOrderId;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "勘测日期")
    private Date surveyDate;

    @ApiModelProperty(value = "经销商名称")
    private String oemAgentName;

    @ApiModelProperty(value = "经销商联系人")
    private String oemAgentContactName;

    @ApiModelProperty(value = "经销商联系方式")
    private String oemAgentContactPhone;

    @ApiModelProperty(value = "安装服务商")
    private String installSupplierName;

    @ApiModelProperty(value = "勘察员工姓名")
    private String surveyStaffName;

    @ApiModelProperty(value = "联系电话")
    private String contactPhone;
}
