package com.boco.nbd.wios.flow.service;


import com.boco.nbd.framework.common.ResponseMessage2;
import com.boco.nbd.framework.persistence.IBaseDaoService3;
import com.boco.nbd.wios.flow.entity.po.PlanTaskPO;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Description: TODO
 * @Author: ZQY
 * @Date: 2022/8/10
 **/
public interface IPlanTaskService extends IBaseDaoService3<PlanTaskPO> {

    /**
     * 计划任务配置导入
     * @param file
     * @return
     */
    ResponseMessage2 importExcel(MultipartFile file);


    /**
     * 根据年份和主机厂计划任务
     * @param year
     * @param oemId
     * @return
     */
    PlanTaskPO getPlanTaskByYearAndOemId(String year, Integer oemId);
}
