package com.boco.nbd.wios.flow.service.impl;


import com.boco.nbd.framework.persistence.BaseDaoService3;
import com.boco.nbd.wios.flow.entity.po.OrderBlockedPO;
import com.boco.nbd.wios.flow.mapper.def.OrderBlockedMapper;
import com.boco.nbd.wios.flow.service.IOrderBlockedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: OrderBlockedServiceImpl
 * @Author: ZQY
 * @Date: 2022/8/8
 **/
@Service
public class OrderBlockedServiceImpl extends BaseDaoService3<OrderBlockedPO, OrderBlockedMapper> implements IOrderBlockedService {


    @Autowired
    private OrderBlockedMapper orderBlockedMapper;

    /**
     * 查询
     * @param orderId
     * @param nodeFlag
     * @return
     */
    @Override
    public List<OrderBlockedPO> getList(String orderId,String nodeFlag) {
        return orderBlockedMapper.getAllByIdList(orderId,nodeFlag);
    }
}
