package com.boco.nbd.wios.log.entity.po;


import lombok.Data;

import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @Author: ZQY
 * @Date: 2022/10/24
 * @TableName t_interface_monitor
 */
@Data
@Table(name = "t_interface_monitor")
public class InterfaceMonitorPO implements Serializable {
    /**
     * 接口名称
     */
    private String interfaceName;

    /**
     * 接口地址
     */
    private String interfaceAddress;

    /**
     * 工单编号
     */
    private String orderNo;

    /**
     * 响应数据
     */
    private String responseData;

    /**
     * 响应时长  单位：秒
     */
    private Integer responseTime;

    /**
     * 接口状态   1：正常  2：异常
     */
    private String interfaceState;

    /**
     * 调用时间
     */
    private Date callTime;




}