package com.boco.nbd.wios.log.entity.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * UserLogCountInfoPO
 * @Author: ZQY
 * @Date: 2022/10/17
 **/
@ApiModel(description = "返回响应数据")
public class UserLogCountInfoPO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "编号")
	private Integer indexs;

	@ApiModelProperty(value = "用户编号")
	private String userId;

	@ApiModelProperty(value = "角色ID")
	private String roleId;

	@ApiModelProperty(value = "用户名")
	private String userName;

	@ApiModelProperty(value = "用户名称")
	private String displayName;

	@ApiModelProperty(value = "使用次数")
	private Integer counts;
	
	@ApiModelProperty(value = "登录次数")
	private Integer loginCounts;
	
	@ApiModelProperty(value = "登出次数")
	private Integer logoutCounts;

	public Integer getIndexs() {
		return indexs;
	}

	public void setIndexs(Integer indexs) {
		this.indexs = indexs;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getDisplayName() {
		return displayName;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	public Integer getCounts() {
		return counts;
	}

	public void setCounts(Integer counts) {
		this.counts = counts;
	}

	public Integer getLoginCounts() {
		return loginCounts;
	}

	public void setLoginCounts(Integer loginCounts) {
		this.loginCounts = loginCounts;
	}

	public Integer getLogoutCounts() {
		return logoutCounts;
	}

	public void setLogoutCounts(Integer logoutCounts) {
		this.logoutCounts = logoutCounts;
	}

}
