package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class CamsAccount {
    /**
     * 主键
     */
    @ApiModelProperty(hidden = true)
    private Integer id;

    /**
     * 关联的账户id
     */
    @ApiModelProperty(hidden = true)
    private Integer accountId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    private Integer departmentId;

    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id")
    private String regionId;

    /**
     * 提醒id
     */
    @ApiModelProperty(value = "提醒id")
    private String alarmId;

    /**
     * 状态 1：正常 2：禁用 3：删除
     */
    @ApiModelProperty(hidden = true)
    private Integer status;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(hidden = true)
    private Date updateTime;

    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private Integer createAccount;

    /**
     * 更新人
     */
    @ApiModelProperty(hidden = true)
    private Integer updateAccount;

    public String getAlarmId() {
        return alarmId;
    }

    public void setAlarmId(String alarmId) {
        this.alarmId = alarmId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getAccountId() {
        return accountId;
    }

    public void setAccountId(Integer accountId) {
        this.accountId = accountId;
    }

    public Integer getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Integer departmentId) {
        this.departmentId = departmentId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getCreateAccount() {
        return createAccount;
    }

    public void setCreateAccount(Integer createAccount) {
        this.createAccount = createAccount;
    }

    public Integer getUpdateAccount() {
        return updateAccount;
    }

    public void setUpdateAccount(Integer updateAccount) {
        this.updateAccount = updateAccount;
    }
}
