package com.boco.nbd.wios.manage.entity.bo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/6/17 11:12
 * @version:V1.0
 * @description:DictionaryPO
 * @modify:
 */
@Data
public class DictionaryBO implements Serializable {

    private String id;

    /**
     * 字典类型
     */
    private String type;

    /**
     * 键
     */
    private String name;

    /**
     * 值
     */
    private String value;

    /**
     * 0:删除 1:正常
     */
    private Integer status;

    /**
     * 排序
     */
    private Date sortTime;

    /**
     * 创建人
     */
    private String createAccount;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String modifyAccount;
}
