package com.boco.nbd.wios.manage.entity.bo;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class InvoiceCriteria {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public InvoiceCriteria() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andOrderIdEqualTo(String value) {
            addCriterion("order_id =", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdGreaterThan(String value) {
            addCriterion("order_id >", value, "orderId");
            return (Criteria) this;
        }

        public Criteria andOrderIdIn(List<String> values) {
            addCriterion("order_id in", values, "orderId");
            return (Criteria) this;
        }

        public Criteria andAdditionalCostInvoiceStatusIsNull() {
            addCriterion("additional_cost_invoice_status is null");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceStatusIn(List<Integer> values) {
            addCriterion("package_device_invoice_status in", values, "packageDeviceInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateLessThan(Date value) {
            addCriterionForJDBCDate("package_device_invoice_date <", value, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateIn(List<Date> values) {
            addCriterionForJDBCDate("package_device_invoice_date in", values, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("package_device_invoice_date not in", values, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("package_device_invoice_date between", value1, value2, "packageDeviceInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceTaxIn(List<BigDecimal> values) {
            addCriterion("package_device_tax in", values, "packageDeviceTax");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberIn(List<String> values) {
            addCriterion("package_device_invoice_number in", values, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceInvoiceNumberNotIn(List<String> values) {
            addCriterion("package_device_invoice_number not in", values, "packageDeviceInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageDeviceReceiveStatusIn(List<Integer> values) {
            addCriterion("package_device_receive_status in", values, "packageDeviceReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusIn(List<Integer> values) {
            addCriterion("package_install_invoice_status in", values, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceStatusBetween(Integer value1, Integer value2) {
            addCriterion("package_install_invoice_status between", value1, value2, "packageInstallInvoiceStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateIn(List<Date> values) {
            addCriterionForJDBCDate("package_install_invoice_date in", values, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("package_install_invoice_date not in", values, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("package_install_invoice_date between", value1, value2, "packageInstallInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andPackageInstallTaxIn(List<BigDecimal> values) {
            addCriterion("package_install_tax in", values, "packageInstallTax");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberNotEqualTo(String value) {
            addCriterion("package_install_invoice_number <>", value, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberIn(List<String> values) {
            addCriterion("package_install_invoice_number in", values, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberNotIn(List<String> values) {
            addCriterion("package_install_invoice_number not in", values, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallInvoiceNumberBetween(String value1, String value2) {
            addCriterion("package_install_invoice_number between", value1, value2, "packageInstallInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusIn(List<Integer> values) {
            addCriterion("package_install_receive_status in", values, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andPackageInstallReceiveStatusBetween(Integer value1, Integer value2) {
            addCriterion("package_install_receive_status between", value1, value2, "packageInstallReceiveStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateNotEqualTo(Date value) {
            addCriterionForJDBCDate("supplier_invoice_date <>", value, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateGreaterThan(Date value) {
            addCriterionForJDBCDate("supplier_invoice_date >", value, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateLessThan(Date value) {
            addCriterionForJDBCDate("supplier_invoice_date <", value, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateIn(List<Date> values) {
            addCriterionForJDBCDate("supplier_invoice_date in", values, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateNotIn(List<Date> values) {
            addCriterionForJDBCDate("supplier_invoice_date not in", values, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceDateBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("supplier_invoice_date between", value1, value2, "supplierInvoiceDate");
            return (Criteria) this;
        }

        public Criteria andSupplierTaxIn(List<BigDecimal> values) {
            addCriterion("supplier_tax in", values, "supplierTax");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberLessThan(String value) {
            addCriterion("supplier_invoice_number <", value, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberIn(List<String> values) {
            addCriterion("supplier_invoice_number in", values, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberNotIn(List<String> values) {
            addCriterion("supplier_invoice_number not in", values, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierInvoiceNumberBetween(String value1, String value2) {
            addCriterion("supplier_invoice_number between", value1, value2, "supplierInvoiceNumber");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusEqualTo(Integer value) {
            addCriterion("supplier_pay_status =", value, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusIn(List<Integer> values) {
            addCriterion("supplier_pay_status in", values, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andSupplierPayStatusBetween(Integer value1, Integer value2) {
            addCriterion("supplier_pay_status between", value1, value2, "supplierPayStatus");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andSubmitItemIn(List<Integer> values) {
            addCriterion("submit_item in", values, "submitItem");
            return (Criteria) this;
        }


        public Criteria andSubmitItemBetween(Integer value1, Integer value2) {
            addCriterion("submit_item between", value1, value2, "submitItem");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}