package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author yong
 */
@Data
public class InvoiceQueryBo {

    @ApiModelProperty(value = "发票主体1:个人，2:企业")
    private Integer businessType;
    
    @ApiModelProperty(value = "开票类型,1增值税普通发票；2增值税专⽤发票")
    private Integer invoiceType;
    
    @ApiModelProperty(value = "开票状态，0待开票；1已开票；2已完成")
    private Integer invoiceStatus;
    
    @ApiModelProperty(value = "发票抬头")
    private String invoiceTitle;
    
    @ApiModelProperty(value = "申请人账号")
    private String applyAccount;
    
    @ApiModelProperty(value = "页码")
    private Integer page;
    
    @ApiModelProperty(value = "每页数量")
    private Integer pagecount;
    
    @ApiModelProperty(hidden = true,value = "8=建筑服务安装申请")
    private Integer type;
    
}
