package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class Oem {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码", required = true)
    private String code;

    /**
     * 简称
     */
    @ApiModelProperty(value = "简称")
    private String shortName;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称", required = true)
    private String name;

    /**
     * 状态 0禁用 1启用
     */
    @ApiModelProperty(hidden = true)
    private Integer status;

    /**
     * 类型 1-主机厂 2-经销商
     */
    @ApiModelProperty(hidden = true)
    private Integer type;

    /**
     * 关联的账号id
     */
    @ApiModelProperty(hidden = true)
    private Integer wbAccountId;

    /**
     * 区域id
     */
    @ApiModelProperty(hidden = true)
    private Integer regionId;

    /**
     * 是否人工派单 0：否 1：是
     */
    @ApiModelProperty(value = "是否人工派单 0：否 1：是", required = true)
    private Integer manualDispatchOrder;

    /**
     * 组织机构代码
     */
    @ApiModelProperty(value = "组织机构代码")
    private String organizationCode;

    /**
     * 联系人姓名
     */
    @ApiModelProperty(value = "联系人姓名", required = true)
    private String contactName;

    /**
     * 联系人电话
     */
    @ApiModelProperty(value = "联系人电话")
    private String contactPhone;

    /**
     * 地址
     */
    @ApiModelProperty(hidden = true)
    private String address;

    /**
     * 附件，多个用逗号隔开
     */
    @ApiModelProperty(hidden = true)
    private String fileId;

    /**
     * 父id, 4s店关联主机厂
     */
    @ApiModelProperty(value = "父id, 4s店关联主机厂")
    private Integer parentId;

    /**
     * 备注说明
     */
    @ApiModelProperty(hidden = true)
    private String description;

    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;

    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getOrganizationCode() {
        return organizationCode;
    }

    public void setOrganizationCode(String organizationCode) {
        this.organizationCode = organizationCode;
    }

    public String getContactName() {
        return contactName;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCreateAccount() {
        return createAccount;
    }

    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyAccount() {
        return modifyAccount;
    }

    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getWbAccountId() {
        return wbAccountId;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public Integer getManualDispatchOrder() {
        return manualDispatchOrder;
    }

    public void setWbAccountId(Integer wbAccountId) {
        this.wbAccountId = wbAccountId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public void setManualDispatchOrder(Integer manualDispatchOrder) {
        this.manualDispatchOrder = manualDispatchOrder;
    }
}
