package com.boco.nbd.wios.manage.entity.bo;


import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class OemContractBo2 extends OemContract {

    @ApiModelProperty(value = "合同开始时间起点")
    private String startTimeOrigin;
    
    @ApiModelProperty(value = "合同开始时间终点")
    private String startTimeTeminal;
    
    @ApiModelProperty(value = "合同结束时间起点")
    private String endTimeOrigin;
    
    @ApiModelProperty(value = "合同结束时间终点")
    private String endTimeTeminal;
    
    @ApiModelProperty(hidden = true)
    private List<Integer> statusInList;

    /**
     * // 1:createTime 2:endTime
     */
    @ApiModelProperty(hidden = true)
    private Integer orderBy;
    
    @ApiModelProperty(value = "主机厂名称")
    private String oemName;
    
    @ApiModelProperty(value = "设备结算方名称")
    private String deviceSettlementName;
    
    @ApiModelProperty(value = "安装结算方名称")
    private String installSettlementName;
    
    public String getStartTimeOrigin() {
        return startTimeOrigin;
    }
    
    public String getStartTimeTeminal() {
        return startTimeTeminal;
    }
    
    public String getEndTimeOrigin() {
        return endTimeOrigin;
    }
    
    public String getEndTimeTeminal() {
        return endTimeTeminal;
    }
    
    public void setStartTimeOrigin(String startTimeOrigin) {
        this.startTimeOrigin = startTimeOrigin;
    }
    
    public void setStartTimeTeminal(String startTimeTeminal) {
        this.startTimeTeminal = startTimeTeminal;
    }
    
    public void setEndTimeOrigin(String endTimeOrigin) {
        this.endTimeOrigin = endTimeOrigin;
    }
    
    public void setEndTimeTeminal(String endTimeTeminal) {
        this.endTimeTeminal = endTimeTeminal;
    }
    
    public List<Integer> getStatusInList() {
        return statusInList;
    }
    
    public Integer getOrderBy() {
        return orderBy;
    }
    
    public void setStatusInList(List<Integer> statusInList) {
        this.statusInList = statusInList;
    }
    
    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }
    
    public String getOemName() {
        return oemName;
    }
    
    public void setOemName(String oemName) {
        this.oemName = oemName;
    }
    
    public String getDeviceSettlementName() {
        return deviceSettlementName;
    }
    
    public String getInstallSettlementName() {
        return installSettlementName;
    }
    
    public void setDeviceSettlementName(String deviceSettlementName) {
        this.deviceSettlementName = deviceSettlementName;
    }
    
    public void setInstallSettlementName(String installSettlementName) {
        this.installSettlementName = installSettlementName;
    }
    
}
