package com.boco.nbd.wios.manage.entity.bo;

import cn.hutool.core.convert.Convert;
import com.boco.nbd.wios.flow.entity.vo.OrderInstallItemVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.BeanUtils;

/**
 * @author yong
 */
@Data
public class OemContractItemVo extends OemContractItem {

    @ApiModelProperty("物料名称")
    private String itemName;

    @ApiModelProperty("物料编码")
    private String itemCode;

    @ApiModelProperty("规格型号")
    private String itemModel;

    /**
     * 转换
     *
     * @return
     */
    public OrderInstallItemVO toVo() {
        OrderInstallItemVO vo = new OrderInstallItemVO();
        BeanUtils.copyProperties(this, vo);
        vo.setContractItemId(this.getId());
        vo.setItemType(Convert.toInt(this.getType()));
        vo.setAreSelect(false);
        return vo;
    }

}
