package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author haica
 */
@Data
public class OrderScoreDTO {

    @ApiModelProperty(value = "订单编号")
    private String orderId;

    @ApiModelProperty(value = "回访建议")
    private String visitContent;

    @ApiModelProperty(value = "回访人id")
    private Integer visitorId;

    @ApiModelProperty(value = "回访人姓名")
    private String visitorName;

    @ApiModelProperty(value = "回访时间")
    private Date visitTime;

    @ApiModelProperty(value = "回访评分明细")
    private List<OrderScore> orderScoreList;

    @ApiModelProperty(value = "图片，多张逗号隔开")
    private String files;

    @ApiModelProperty(value = "是否已评分")
    private Boolean hasScore;

    @ApiModelProperty(value = "是否了解墙盒售后问题反馈渠道：0-否，1：是")
    private Integer knowAfterSalesChannel;

    @ApiModelProperty(value = "墙盒线缆的安装长度")
    private Integer installLength;
}
