package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author haica
 */
@Data
public class ReportOrderDTO {

    private Long regionId;

    @ApiModelProperty(value = "区域名称")
    private String regionName;

    private Long supplierId;

    @ApiModelProperty(value = "服务商名称")
    private String supplierName;

    @ApiModelProperty(value = "订单总量")
    private Long countTotal;

    @ApiModelProperty(value = "待安装量")
    private Long countUnfinished;

    @ApiModelProperty(value = "安装完成量")
    private Long countFinished;

    @ApiModelProperty(value = "安装失败量")
    private Long countClosed;

    @ApiModelProperty(value = "平均安装时长")
    private Double avgInstallTime;

    @ApiModelProperty(value = "订单完成率")
    private Double finishRatio;

}
