package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author haica
 */
@Data
public class ScoreSupplierDTO extends ScoreSupplier {
    @ApiModelProperty(value = "服务商名称")
    private String supplierName;
    @ApiModelProperty(value = "服务商编码")
    private String supplierCode;
    @ApiModelProperty(value = "联系人姓名")
    private String contactName;
    @ApiModelProperty(value = "联系方式")
    private String contactPhone;

    @ApiModelProperty(value = "区域名称")
    private String regionName;

    @ApiModelProperty(value = "采购占比")
    private Double purchasingWeight;

    @ApiModelProperty(value = "工程占比")
    private Double engineeringWeight;

}
