package com.boco.nbd.wios.manage.entity.bo;

import java.math.BigDecimal;

public class SingleMaterials extends SingleMaterialsKey {
    private BigDecimal quantity;

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SingleMaterials other = (SingleMaterials) that;
        return (this.getMaterialsId() == null ? other.getMaterialsId() == null : this.getMaterialsId().equals(other.getMaterialsId()))
            && (this.getSignalId() == null ? other.getSignalId() == null : this.getSignalId().equals(other.getSignalId()))
            && (this.getQuantity() == null ? other.getQuantity() == null : this.getQuantity().equals(other.getQuantity()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getMaterialsId() == null) ? 0 : getMaterialsId().hashCode());
        result = prime * result + ((getSignalId() == null) ? 0 : getSignalId().hashCode());
        result = prime * result + ((getQuantity() == null) ? 0 : getQuantity().hashCode());
        return result;
    }
}