package com.boco.nbd.wios.manage.entity.bo;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class SingleMaterialsCriteria {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public SingleMaterialsCriteria() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andMaterialsIdIsNull() {
            addCriterion("materials_id is null");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdIsNotNull() {
            addCriterion("materials_id is not null");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdEqualTo(String value) {
            addCriterion("materials_id =", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdNotEqualTo(String value) {
            addCriterion("materials_id <>", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdGreaterThan(String value) {
            addCriterion("materials_id >", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdGreaterThanOrEqualTo(String value) {
            addCriterion("materials_id >=", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdLessThan(String value) {
            addCriterion("materials_id <", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdLessThanOrEqualTo(String value) {
            addCriterion("materials_id <=", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdLike(String value) {
            addCriterion("materials_id like", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdNotLike(String value) {
            addCriterion("materials_id not like", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdIn(List<String> values) {
            addCriterion("materials_id in", values, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdNotIn(List<String> values) {
            addCriterion("materials_id not in", values, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdBetween(String value1, String value2) {
            addCriterion("materials_id between", value1, value2, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdNotBetween(String value1, String value2) {
            addCriterion("materials_id not between", value1, value2, "materialsId");
            return (Criteria) this;
        }

        public Criteria andSignalIdIsNull() {
            addCriterion("signal_id is null");
            return (Criteria) this;
        }

        public Criteria andSignalIdIsNotNull() {
            addCriterion("signal_id is not null");
            return (Criteria) this;
        }

        public Criteria andSignalIdEqualTo(String value) {
            addCriterion("signal_id =", value, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdNotEqualTo(String value) {
            addCriterion("signal_id <>", value, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdGreaterThan(String value) {
            addCriterion("signal_id >", value, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdGreaterThanOrEqualTo(String value) {
            addCriterion("signal_id >=", value, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdLessThan(String value) {
            addCriterion("signal_id <", value, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdLessThanOrEqualTo(String value) {
            addCriterion("signal_id <=", value, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdLike(String value) {
            addCriterion("signal_id like", value, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdNotLike(String value) {
            addCriterion("signal_id not like", value, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdIn(List<String> values) {
            addCriterion("signal_id in", values, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdNotIn(List<String> values) {
            addCriterion("signal_id not in", values, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdBetween(String value1, String value2) {
            addCriterion("signal_id between", value1, value2, "signalId");
            return (Criteria) this;
        }

        public Criteria andSignalIdNotBetween(String value1, String value2) {
            addCriterion("signal_id not between", value1, value2, "signalId");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNull() {
            addCriterion("quantity is null");
            return (Criteria) this;
        }

        public Criteria andQuantityIsNotNull() {
            addCriterion("quantity is not null");
            return (Criteria) this;
        }

        public Criteria andQuantityEqualTo(BigDecimal value) {
            addCriterion("quantity =", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotEqualTo(BigDecimal value) {
            addCriterion("quantity <>", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThan(BigDecimal value) {
            addCriterion("quantity >", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("quantity >=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThan(BigDecimal value) {
            addCriterion("quantity <", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityLessThanOrEqualTo(BigDecimal value) {
            addCriterion("quantity <=", value, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityIn(List<BigDecimal> values) {
            addCriterion("quantity in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotIn(List<BigDecimal> values) {
            addCriterion("quantity not in", values, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("quantity between", value1, value2, "quantity");
            return (Criteria) this;
        }

        public Criteria andQuantityNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("quantity not between", value1, value2, "quantity");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}