package com.boco.nbd.wios.manage.entity.bo;

import com.ihidea.core.base.CoreEntity;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author haica
 */
public class Warehouse extends CoreEntity {
    private String id;

    private String warehouseLevenId;

    private String name;

    private String area;

    private String serviceProvider;

    private String warehouseAttribution;

    private String msg;

    private Integer status;

    private Date createTime;

    private String createAccount;

    private String modifyAccount;

    private Date modifyTime;

    private String appkey;

    private Integer isEnabled;

    private String superiorWarehouseId;

    private String receivePeople;

    private String receivePhone;

    private String receiveAddress;
    @ApiModelProperty(value = "仓库等级名称")
    private String warehouseLevenName;
    @ApiModelProperty(value = "是否启用的名称")
    private String isEnabledName;
    @ApiModelProperty(value = "仓库归属名称")
    private String warehouseAttributionName;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getWarehouseLevenId() {
        return warehouseLevenId;
    }

    public void setWarehouseLevenId(String warehouseLevenId) {
        this.warehouseLevenId = warehouseLevenId == null ? null : warehouseLevenId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area == null ? null : area.trim();
    }

    public String getServiceProvider() {
        return serviceProvider;
    }

    public void setServiceProvider(String serviceProvider) {
        this.serviceProvider = serviceProvider == null ? null : serviceProvider.trim();
    }

    public String getWarehouseAttribution() {
        return warehouseAttribution;
    }

    public void setWarehouseAttribution(String warehouseAttribution) {
        this.warehouseAttribution = warehouseAttribution == null ? null : warehouseAttribution.trim();
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg == null ? null : msg.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateAccount() {
        return createAccount;
    }

    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount == null ? null : createAccount.trim();
    }

    public String getModifyAccount() {
        return modifyAccount;
    }

    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount == null ? null : modifyAccount.trim();
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey == null ? null : appkey.trim();
    }

    public Integer getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(Integer isEnabled) {
        this.isEnabled = isEnabled;
    }

    public String getSuperiorWarehouseId() {
        return superiorWarehouseId;
    }

    public void setSuperiorWarehouseId(String superiorWarehouseId) {
        this.superiorWarehouseId = superiorWarehouseId;
    }

    public String getReceivePeople() {
        return receivePeople;
    }

    public void setReceivePeople(String receivePeople) {
        this.receivePeople = receivePeople;
    }

    public String getReceivePhone() {
        return receivePhone;
    }

    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress;
    }

    public String getWarehouseLevenName() {
        return warehouseLevenName;
    }

    public void setWarehouseLevenName(String warehouseLevenName) {
        this.warehouseLevenName = warehouseLevenName;
    }

    public String getIsEnabledName() {
        return isEnabledName;
    }

    public void setIsEnabledName(String isEnabledName) {
        this.isEnabledName = isEnabledName;
    }

    public String getWarehouseAttributionName() {
        return warehouseAttributionName;
    }

    public void setWarehouseAttributionName(String warehouseAttributionName) {
        this.warehouseAttributionName = warehouseAttributionName;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Warehouse other = (Warehouse) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getWarehouseLevenId() == null ? other.getWarehouseLevenId() == null : this.getWarehouseLevenId().equals(other.getWarehouseLevenId()))
                && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
                && (this.getArea() == null ? other.getArea() == null : this.getArea().equals(other.getArea()))
                && (this.getServiceProvider() == null ? other.getServiceProvider() == null : this.getServiceProvider().equals(other.getServiceProvider()))
                && (this.getWarehouseAttribution() == null ? other.getWarehouseAttribution() == null : this.getWarehouseAttribution().equals(other.getWarehouseAttribution()))
                && (this.getMsg() == null ? other.getMsg() == null : this.getMsg().equals(other.getMsg()))
                && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
                && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
                && (this.getCreateAccount() == null ? other.getCreateAccount() == null : this.getCreateAccount().equals(other.getCreateAccount()))
                && (this.getModifyAccount() == null ? other.getModifyAccount() == null : this.getModifyAccount().equals(other.getModifyAccount()))
                && (this.getModifyTime() == null ? other.getModifyTime() == null : this.getModifyTime().equals(other.getModifyTime()))
                && (this.getAppkey() == null ? other.getAppkey() == null : this.getAppkey().equals(other.getAppkey()))
                && (this.getSuperiorWarehouseId() == null ? other.getSuperiorWarehouseId() == null : this.getSuperiorWarehouseId().equals(other.getSuperiorWarehouseId()))
                && (this.getReceivePeople() == null ? other.getReceivePeople() == null : this.getReceivePeople().equals(other.getReceivePeople()))
                && (this.getReceivePhone() == null ? other.getReceivePhone() == null : this.getReceivePhone().equals(other.getReceivePhone()))
                && (this.getReceiveAddress() == null ? other.getReceiveAddress() == null : this.getReceiveAddress().equals(other.getReceiveAddress()))
                && (this.getIsEnabled() == null ? other.getIsEnabled() == null : this.getIsEnabled().equals(other.getIsEnabled()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getWarehouseLevenId() == null) ? 0 : getWarehouseLevenId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getArea() == null) ? 0 : getArea().hashCode());
        result = prime * result + ((getServiceProvider() == null) ? 0 : getServiceProvider().hashCode());
        result = prime * result + ((getWarehouseAttribution() == null) ? 0 : getWarehouseAttribution().hashCode());
        result = prime * result + ((getMsg() == null) ? 0 : getMsg().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateAccount() == null) ? 0 : getCreateAccount().hashCode());
        result = prime * result + ((getModifyAccount() == null) ? 0 : getModifyAccount().hashCode());
        result = prime * result + ((getModifyTime() == null) ? 0 : getModifyTime().hashCode());
        result = prime * result + ((getAppkey() == null) ? 0 : getAppkey().hashCode());
        result = prime * result + ((getIsEnabled() == null) ? 0 : getIsEnabled().hashCode());
        result = prime * result + ((getSuperiorWarehouseId() == null) ? 0 : getSuperiorWarehouseId().hashCode());
        result = prime * result + ((getReceivePeople() == null) ? 0 : getReceivePeople().hashCode());
        result = prime * result + ((getReceivePhone() == null) ? 0 : getReceivePhone().hashCode());
        result = prime * result + ((getReceiveAddress() == null) ? 0 : getReceiveAddress().hashCode());
        return result;
    }
}