package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class WarrantyOrder {

    @ApiModelProperty(value = "订单号")
    private String orderId;
    
    @ApiModelProperty(value = "车主姓名")
    private String userName;
    
    @ApiModelProperty(value = "车主电话")
    private String userPhone;
    
    @ApiModelProperty(value = "电桩编号/二维码")
    private String wallboxNo;
    
    @ApiModelProperty(hidden = true)
    private Date startTime;
    
    @ApiModelProperty(hidden = true)
    private Date endTime;
    
    @ApiModelProperty(value = "1:结束时间升序 2：结束时间降序")
    private Integer orderBy;
    
    public String getOrderId() {
        return orderId;
    }
    
    public String getUserName() {
        return userName;
    }
    
    public String getUserPhone() {
        return userPhone;
    }
    
    public String getWallboxNo() {
        return wallboxNo;
    }
    
    public Date getStartTime() {
        return startTime;
    }
    
    public Date getEndTime() {
        return endTime;
    }
    
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }
    
    public void setWallboxNo(String wallboxNo) {
        this.wallboxNo = wallboxNo;
    }
    
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }
    
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
    
    public Integer getOrderBy() {
        return orderBy;
    }
    
    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }
    
}
