package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * 实际电缆规格
 * 
 * @author xgl
 * @version [版本号, 2021年1月12日]
 */
public enum CableActualSpecs implements IOperator {
    /**
     * CableActualSpecs
     */
    ONE(1, "ZR-YJV-3*6mm²"), TWO(2, "ZR-YJV-3*10mm²"), THREE(3, "ZR-YJV-3*16mm²"),FOUR(4, "ZR-YJV-5*6mm²");
    
    private int type;
    
    private String value;
    
    CableActualSpecs(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        CableActualSpecs[] values = CableActualSpecs.values();
        for (CableActualSpecs os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
