package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @author haica
 */
public enum OemType implements IOperator {

    /**
     * OemType
     */
    OEM(1, "主机厂"), OEM_AGENT(2, "经销商");

    private int type;

    private String value;

    OemType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        OemType[] values = OemType.values();
        for (OemType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
