package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @author haica
 */
public enum ParkingCondition implements IOperator {

    /**
     * ParkingCondition
     */
    OVERGROUND(1, "地上"), UNDERGROUND(2, "地下");

    private int type;

    private String value;

    ParkingCondition(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        ParkingCondition[] values = ParkingCondition.values();
        for (ParkingCondition os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
