/**
 * Project Name: warehouse
 * File Name: MaterialsListQuery
 * Package Name: com.starcharge.warehouse.query
 * Date: 2020/10/21 13:22
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/21 13:22
 */
public class MaterialsListQuery {
    @ApiModelProperty(value = "用户ID",required = true)
    private String accountId;

    @ApiModelProperty(value = "appkey",required = true)
    private String appkey;

    private List<MaterialsSaveQuery> materialsSaveQueryList;

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public List<MaterialsSaveQuery> getMaterialsSaveQueryList() {
        return materialsSaveQueryList;
    }

    public void setMaterialsSaveQueryList(List<MaterialsSaveQuery> materialsSaveQueryList) {
        this.materialsSaveQueryList = materialsSaveQueryList;
    }
}
