/**
 * Project Name: warehouse
 * File Name: SingleMaterialsDTO
 * Package Name: com.starcharge.warehouse.dto.single
 * Date: 2020/10/22 17:25
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/22 17:25
 */
@Data
public class SingleMaterialsDTO {

    @ApiModelProperty(value = "物料名称")
    private String materialsName;

    @ApiModelProperty(value = "物料编码")
    private String materialsCode;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "数量")
    private BigDecimal quantity;
}
