package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 墙盒申请批量审核
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@Data
public class WallboxApplyBatchCheckDTO {

    List<WallboxApplyCheckDTO> checkList;

    /** 申请状态：0：已申请，1：已通过，2：已驳回，3：已关闭 */
    @ApiModelProperty(value = "申请状态", notes = "1：通过，2：驳回", example = "1", required = true)
    private Long checkStatus;

    @ApiModelProperty(value = "审核备注",required = true)
    private String checkRemarks;

}
