/**
 * Project Name: warehouse
 * File Name: WarehouseLevenDTO
 * Package Name: com.starcharge.warehouse.dto.warehouse
 * Date: 2020/10/22 18:10
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/22 18:10
 */
@Data
public class WarehouseLevenDTO {

    @ApiModelProperty(value = "仓库等级ID")
    private String id;

    @ApiModelProperty(value = "仓库等级名称")
    private String name;

    @ApiModelProperty(value = "仓库等级父ID")
    private String parentId;

    @ApiModelProperty(value = "排序号")
    private Integer seq;

    @ApiModelProperty(value = "级别全路径")
    private String pathName;

    @ApiModelProperty(value = "是否可删除，0：否 1：是")
    private Integer isDel;

    @ApiModelProperty(value = "级别code全路径")
    private String pathCode;

    @ApiModelProperty(value = "描述")
    private String msg;
}
