/**
 * Project Name: warehouse
 * File Name: WarehouseLevnSaveQuery
 * Package Name: com.starcharge.warehouse.query
 * Date: 2020/10/20 10:03
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/20 10:03
 */
public class WarehouseLevenSaveQuery {

    @ApiModelProperty(value = "appkey",required = true)
    private String appkey;

    @ApiModelProperty(value = "节点ID")
    private Integer id;

    @ApiModelProperty(value = "仓库等级名称",required = true)
    private String name;

    @ApiModelProperty(value = "父节点ID",required = true)
    private Integer parentId;

    @ApiModelProperty(value = "用户ID",required = true)
    private String accountId;

    @ApiModelProperty(value = "排序号，不传默认排序")
    private Integer seq;

    @ApiModelProperty(value = "等级描述")
    private String msg;


    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
