/**
 * Project Name: warehouse
 * File Name: WarehouseQuery
 * Package Name: com.starcharge.warehouse.query
 * Date: 2020/10/21 09:42
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/21 09:42
 */
public class WarehouseQuery {

    @ApiModelProperty(value = "仓库ID")
    private String id;

    @ApiModelProperty(value = "appkey",required = true)
    private String appkey;

    @ApiModelProperty(value = "仓库名称")
    private String name;

    @ApiModelProperty(value = "仓库等级ID",required = true)
    private String warehouseLevenId;

    @ApiModelProperty(value = "是否启用 0: 否 1: 是")
    private Integer isEnable;

    @ApiModelProperty(value = "仓库归属")
    private String warehouseAttribution;

    @ApiModelProperty(value = "区域")
    private String area;

    @ApiModelProperty(value = "安装服务商")
    private String serviceProvider;
    @ApiModelProperty(value = "创建用户")
    private String createAccount;

    @ApiModelProperty(value = "分页起始数据",required = true)
    private Integer page;

    @ApiModelProperty(value = "分页数量",required = true)
    private Integer pagecount;
    @ApiModelProperty("是否分页，1是分页,2是不分页")
    private Integer isWarehousePage;
    @ApiModelProperty(value = "上级仓库ID")
    private String superiorWarehouseId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getWarehouseLevenId() {
        return warehouseLevenId;
    }

    public void setWarehouseLevenId(String warehouseLevenId) {
        this.warehouseLevenId = warehouseLevenId;
    }

    public Integer getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(Integer isEnable) {
        this.isEnable = isEnable;
    }

    public String getWarehouseAttribution() {
        return warehouseAttribution;
    }

    public void setWarehouseAttribution(String warehouseAttribution) {
        this.warehouseAttribution = warehouseAttribution;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getServiceProvider() {
        return serviceProvider;
    }

    public void setServiceProvider(String serviceProvider) {
        this.serviceProvider = serviceProvider;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getPagecount() {
        return pagecount;
    }

    public void setPagecount(Integer pagecount) {
        this.pagecount = pagecount;
    }

    public String getCreateAccount() {
        return createAccount;
    }

    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }

    public Integer getIsWarehousePage() {
        return isWarehousePage;
    }

    public void setIsWarehousePage(Integer isWarehousePage) {
        this.isWarehousePage = isWarehousePage;
    }

    public String getSuperiorWarehouseId() {
        return superiorWarehouseId;
    }

    public void setSuperiorWarehouseId(String superiorWarehouseId) {
        this.superiorWarehouseId = superiorWarehouseId;
    }
}
