/**
 * Project Name: warehouse
 * File Name: WarehouseSaveQuery
 * Package Name: com.starcharge.warehouse.query
 * Date: 2020/10/20 17:28
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/20 17:28
 */
public class WarehouseSaveQuery {

    @ApiModelProperty(value = "仓库ID，修改必传")
    private String id;

    @ApiModelProperty(value = "appkey",required = true)
    private String appkey;

    @ApiModelProperty(value = "仓库级别ID",required = true)
    private String warehouseLevenId;

    @ApiModelProperty(value = "仓库名称",required = true)
    private String name;

    @ApiModelProperty(value = "区域",required = true)
    private String area;

    @ApiModelProperty(value = "安装服务商")
    private String serviceProvider;

    @ApiModelProperty(value = "仓库归属",required = true)
    private String warehouseAttribution;

    @ApiModelProperty(value = "描述")
    private String msg;

    @ApiModelProperty(value = "是否启用 0: 否 1: 是",required = true)
    private Integer isEnabled;

    @ApiModelProperty(value = "用户ID",required = true)
    private String accountId;
    @ApiModelProperty(value = "上级仓库ID")
    private String superiorWarehouseId;
    @ApiModelProperty(value = "收件人")
    private String receivePeople;
    @ApiModelProperty(value = "收件电话")
    private String receivePhone;
    @ApiModelProperty(value = "收件地址")
    private String receiveAddress;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAppkey() {
        return appkey;
    }

    public void setAppkey(String appkey) {
        this.appkey = appkey;
    }

    public String getWarehouseLevenId() {
        return warehouseLevenId;
    }

    public void setWarehouseLevenId(String warehouseLevenId) {
        this.warehouseLevenId = warehouseLevenId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getServiceProvider() {
        return serviceProvider;
    }

    public void setServiceProvider(String serviceProvider) {
        this.serviceProvider = serviceProvider;
    }

    public String getWarehouseAttribution() {
        return warehouseAttribution;
    }

    public void setWarehouseAttribution(String warehouseAttribution) {
        this.warehouseAttribution = warehouseAttribution;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }


    public Integer getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(Integer isEnabled) {
        this.isEnabled = isEnabled;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public String getSuperiorWarehouseId() {
        return superiorWarehouseId;
    }

    public void setSuperiorWarehouseId(String superiorWarehouseId) {
        this.superiorWarehouseId = superiorWarehouseId;
    }

    public String getReceivePeople() {
        return receivePeople;
    }

    public void setReceivePeople(String receivePeople) {
        this.receivePeople = receivePeople;
    }

    public String getReceivePhone() {
        return receivePhone;
    }

    public void setReceivePhone(String receivePhone) {
        this.receivePhone = receivePhone;
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress;
    }
}
