package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.AccountRole;
import com.boco.nbd.wios.manage.entity.bo.AccountRoleCriteria;

import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface AccountRoleMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    int countByExample(AccountRoleCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(AccountRoleCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(AccountRole record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(AccountRole record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<AccountRole> selectByExample(AccountRoleCriteria example);


    /**
     * selectByAccountId
     * @param accountId
     * @return
     */
    AccountRole selectByAccountId(Integer accountId);


    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    AccountRole selectByPrimaryKey(Integer id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") AccountRole record, @Param("example") AccountRoleCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") AccountRole record, @Param("example") AccountRoleCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(AccountRole record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(AccountRole record);
}
