package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.CamsAccount;
import com.boco.nbd.wios.manage.entity.bo.CamsAccountBo;
import com.boco.nbd.wios.manage.entity.bo.CamsAccountVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface CamsAccountMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param camsAccount
     * @return
     */
    int insert(CamsAccount camsAccount);

    /**
     * insertDynamic
     * @param camsAccount
     * @return
     */
    int insertDynamic(CamsAccount camsAccount);

    /**
     * updateDynamic
     * @param camsAccount
     * @return
     */
    int updateDynamic(CamsAccount camsAccount);

    /**
     * update
     * @param camsAccount
     * @return
     */
    int update(CamsAccount camsAccount);

    /**
     * selectById
     * @param id
     * @return
     */
    CamsAccount selectById(Integer id);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<CamsAccountVo> selectByExample(CamsAccountBo condition);

    /**
     * selectByAccountIdAndDeptId
     * @param accountId
     * @param departmentId
     * @return
     */
    List<CamsAccount> selectByAccountIdAndDeptId(@Param("accountId") Integer accountId, @Param("departmentId") Integer departmentId);
}
