package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.DispatchConfig;
import com.boco.nbd.wios.manage.entity.bo.DispatchConfigCriteria;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author haica
 */
@Repository
public class DispatchConfigDao {
    @Resource
    private DispatchConfigMapper dispatchConfigMapper;

    public List<DispatchConfig> getDispatchConfigListByRegionId(Integer regionId) {
        return dispatchConfigMapper.getDispatchConfigListByRegionId(regionId);
    }

    public List<DispatchConfig> getDispatchConfigListByCondition(List<Integer> regionIdList,String supplierId) {
        return dispatchConfigMapper.getDispatchConfigListByCondition(regionIdList,supplierId);
    }


    public int insertSelective(DispatchConfig dispatchConfig) {
        return dispatchConfigMapper.insertSelective(dispatchConfig);
    }

    public int updateByPrimaryKeySelective(DispatchConfig dispatchConfig) {
        return dispatchConfigMapper.updateByPrimaryKeySelective(dispatchConfig);
    }

    public int deleteByExample(DispatchConfigCriteria example){
        return dispatchConfigMapper.deleteByExample(example);
    }

    public List<DispatchConfig> selectByExample(DispatchConfigCriteria example){
        return dispatchConfigMapper.selectByExample(example);
    }
}
