package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.DispatchConfig;
import com.boco.nbd.wios.manage.entity.bo.DispatchConfigCriteria;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface DispatchConfigMapper {
    /**
     * countByExample
     * @param example
     * @return
     */
    int countByExample(DispatchConfigCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(DispatchConfigCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(DispatchConfig record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(DispatchConfig record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<DispatchConfig> selectByExample(DispatchConfigCriteria example);

    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    DispatchConfig selectByPrimaryKey(String id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") DispatchConfig record, @Param("example") DispatchConfigCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") DispatchConfig record, @Param("example") DispatchConfigCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(DispatchConfig record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(DispatchConfig record);

    /**
     * getDispatchConfigListByRegionId
     * @param regionId
     * @return
     */
    List<DispatchConfig> getDispatchConfigListByRegionId(Integer regionId);

    /**
     * getDispatchConfigListByCondition
     * @param regionIdList
     * @param supplierId
     * @return
     */
    List<DispatchConfig> getDispatchConfigListByCondition(@Param("list") List<Integer> regionIdList, @Param("supplierId") String supplierId);
}