package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.ExpandPrice;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author yong
 */
@Repository
public class ExpandPriceDao {

    @Resource
    private ExpandPriceMapper expandPriceMapper;

    /**
     * 增
     * @param expandPrice
     * @return
     */
    public int insert(ExpandPrice expandPrice) {
        expandPrice.setCreateTime(new Date());
        expandPrice.setStatus(1);
        return expandPriceMapper.insert(expandPrice);
    }

    /**
     * 改
     * @param id
     * @param expandPrice
     * @return
     */
    public int update(int id, ExpandPrice expandPrice) {
        expandPrice.setId(id);
        expandPrice.setUpdateTime(new Date());
        return expandPriceMapper.updateDynamic(expandPrice);
    }

    /**
     * 查
     * @param regionId
     * @return
     */
    public List<ExpandPrice> selectByRegionId(Integer regionId) {
        return expandPriceMapper.selectByRegionId(regionId);
    }
}
