package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.settlement.po.Invoice;
import com.boco.nbd.wios.manage.entity.bo.InvoiceCriteria;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface InvoiceMapper {

    /**
     * countByExample
     * @param example
     * @return
     */
    long countByExample(InvoiceCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(InvoiceCriteria example);

    /**
     * deleteByPrimaryKey
     * @param orderId
     * @return
     */
    int deleteByPrimaryKey(String orderId);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(Invoice record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(Invoice record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<Invoice> selectByExample(InvoiceCriteria example);

    /**
     * selectByPrimaryKey
     * @param orderId
     * @return
     */
    Invoice selectByPrimaryKey(String orderId);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") Invoice record, @Param("example") InvoiceCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") Invoice record, @Param("example") InvoiceCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(Invoice record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(Invoice record);

    /**
     * 获取存在增项增项费用发票号数据
     * @return
     */
    List<Invoice> getAdditionalCostInvoiceList();
}