package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.Menu;
import com.boco.nbd.wios.manage.entity.bo.MenuCriteria;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface MenuMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    int countByExample(MenuCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(MenuCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(Menu record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(Menu record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<Menu> selectByExample(MenuCriteria example);

    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    Menu selectByPrimaryKey(String id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") Menu record, @Param("example") MenuCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") Menu record, @Param("example") MenuCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(Menu record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(Menu record);
}
