package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.OrderInstall;
import com.boco.nbd.wios.manage.entity.bo.OrderInstallVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface OrderInstallMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param orderInstall
     * @return
     */
    int insert(OrderInstall orderInstall);

    /**
     * insertDynamic
     * @param orderInstall
     * @return
     */
    int insertDynamic(OrderInstall orderInstall);

    /**
     * updateDynamic
     * @param orderInstall
     * @return
     */
    int updateDynamic(OrderInstall orderInstall);

    /**
     * updateByOrderId
     * @param orderInstall
     * @return
     */
    int updateByOrderId(OrderInstall orderInstall);

    /**
     * update
     * @param orderInstall
     * @return
     */
    int update(OrderInstall orderInstall);

    /**
     * selectById
     * @param id
     * @return
     */
    OrderInstall selectById(Integer id);

    /**
     * selectByOrderId
     * @param orderId
     * @return
     */
    OrderInstall selectByOrderId(String orderId);

    /**
     * selectByOrderIds
     * @param orderIds
     * @return
     */
    List<OrderInstallVo> selectByOrderIds(@Param("orderIds") List<String> orderIds);
}