package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.OrderSurvey;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface OrderSurveyMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param orderSurvey
     * @return
     */
    int insert(OrderSurvey orderSurvey);

    /**
     * insertDynamic
     * @param orderSurvey
     * @return
     */
    int insertDynamic(OrderSurvey orderSurvey);

    /**
     * updateDynamic
     * @param orderSurvey
     * @return
     */
    int updateDynamic(OrderSurvey orderSurvey);

    /**
     * update
     * @param orderSurvey
     * @return
     */
    int update(OrderSurvey orderSurvey);

    /**
     * selectById
     * @param id
     * @return
     */
    OrderSurvey selectById(Integer id);

    /**
     * selectByOrderId
     * @param orderId
     * @param type
     * @return
     */
    OrderSurvey selectByOrderId(@Param("orderId") String orderId, @Param("type") Integer type);

    /**
     * selectListByOrderId
     * @param orderId
     * @return
     */
    List<OrderSurvey> selectListByOrderId(String orderId);
}
