package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.ScoreSupplierDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface ScoreSupplierDetailMapper {

    /**
     * insert
     * @param scoreSupplierDetail
     * @return
     */
    int insert(ScoreSupplierDetail scoreSupplierDetail);

    /**
     * update
     * @param scoreSupplierDetail
     * @return
     */
    int update(ScoreSupplierDetail scoreSupplierDetail);

    /**
     * 通过编码和主表id更新明细表记录
     * @param scoreSupplierDetail
     * @return
     */
    int updateByCode(ScoreSupplierDetail scoreSupplierDetail);

    /**
     * selectById
     * @param id
     * @return
     */
    ScoreSupplierDetail selectById(Integer id);

    /**
     * selectByExample
     * @param scoreSupplierDetail
     * @return
     */
    List<ScoreSupplierDetail> selectByExample(ScoreSupplierDetail scoreSupplierDetail);

    /**
     * getListByScoreSupplierId
     * @param scoreSupplierId
     * @return
     */
    List<ScoreSupplierDetail> getListByScoreSupplierId(Long scoreSupplierId);

    /**
     * getListByScoreSupplierIdAndPCode
     * @param scoreSupplierId
     * @param parentCode
     * @return
     */
    List<ScoreSupplierDetail> getListByScoreSupplierIdAndParentCode(@Param("scoreSupplierId") Long scoreSupplierId,
                                                                    @Param("parentCode") String parentCode);
}