package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.settlement.po.SettlementDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface SettlementDetailMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param settlementDetail
     * @return
     */
    int insert(SettlementDetail settlementDetail);

    /**
     * insertDynamic
     * @param settlementDetail
     * @return
     */
    int insertDynamic(SettlementDetail settlementDetail);

    /**
     * updateDynamic
     * @param settlementDetail
     * @return
     */
    int updateDynamic(SettlementDetail settlementDetail);

    /**
     * update
     * @param settlementDetail
     * @return
     */
    int update(SettlementDetail settlementDetail);

    /**
     * selectById
     * @param id
     * @return
     */
    SettlementDetail selectById(Integer id);

    /**
     * selectByOemId
     * @param oemId
     * @param installFinishStartTime
     * @param installFinishEndTime
     * @return
     */
    List<SettlementDetail> selectByOemId(@Param("oemId") int oemId, @Param("installFinishStartTime") String installFinishStartTime,
        @Param("installFinishEndTime") String installFinishEndTime);

    /**
     * batchUpdateSettlementId
     * @param idList
     * @param settlementId
     * @return
     */
    int batchUpdateSettlementId(@Param("idList") List<Integer> idList, @Param("settlementId") String settlementId);

    /**
     * selectBySettlementId
     * @param settlementId
     * @return
     */
    List<SettlementDetail> selectBySettlementId(@Param("settlementId") String settlementId);

    /**
     * deleteByOrderId
     * @param orderId
     * @return
     */
    int deleteByOrderId(String orderId);
}