package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.settlement.po.SettlementDetailSupplier;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author haica
 */
@Repository
public class SettlementDetailSupplierDao {
    @Resource
    private SettlementDetailSupplierMapper sdsMapper;
    
    public int insert(SettlementDetailSupplier sds) {
        sds.setCreateTime(new Date());
        return sdsMapper.insert(sds);
    }
    
    public List<SettlementDetailSupplier> selectBySupplierId(int supplierId, String finishStartTime, String finishEndTime) {
        return sdsMapper.selectBySupplierId(supplierId, finishStartTime, finishEndTime);
    }
    
    public List<SettlementDetailSupplier> selectBySettlementId(String settlementId) {
        return sdsMapper.selectBySettlementId(settlementId);
    }
    
    public int batchUpdateSettlementId(List<Integer> idList, String settlementId) {
        return sdsMapper.batchUpdateSettlementId(idList, settlementId);
    }

    public void deleteByOrderId(String orderId) {
        sdsMapper.deleteByOrderId(orderId);
    }
}
