package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.SupplierContractPackPrice;
import com.boco.nbd.wios.manage.entity.bo.SupplierContractPackPriceVo;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author haica
 */
@Repository
public class SupplierContractPackPriceDao {
    @Resource
    private SupplierContractPackPriceMapper packPriceMapper;
    
    public int insert(SupplierContractPackPrice packPrice) {
        packPrice.setCreateTime(new Date());
        return packPriceMapper.insert(packPrice);
    }
    
    public List<SupplierContractPackPriceVo> selectByContractId(Integer contractId) {
        return packPriceMapper.selectByContractId(contractId);
    }
    
    public List<SupplierContractPackPrice> selectPureByContractId(int contractId) {
        return packPriceMapper.selectPureByContractId(contractId);
    }
    
    public int batchInsert(List<SupplierContractPackPrice> packPrices) {
        return packPriceMapper.batchInsert(packPrices);
    }
    
    public int deleteByContractId(int contractId) {
        return packPriceMapper.deleteByContractId(contractId);
    }
}
