package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.SupplierContractPackPrice;
import com.boco.nbd.wios.manage.entity.bo.SupplierContractPackPriceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface SupplierContractPackPriceMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param supplierContractPackPrice
     * @return
     */
    int insert(SupplierContractPackPrice supplierContractPackPrice);

    /**
     * insertDynamic
     * @param supplierContractPackPrice
     * @return
     */
    int insertDynamic(SupplierContractPackPrice supplierContractPackPrice);

    /**
     * updateDynamic
     * @param supplierContractPackPrice
     * @return
     */
    int updateDynamic(SupplierContractPackPrice supplierContractPackPrice);

    /**
     * update
     * @param supplierContractPackPrice
     * @return
     */
    int update(SupplierContractPackPrice supplierContractPackPrice);

    /**
     * selectById
     * @param id
     * @return
     */
    SupplierContractPackPrice selectById(Integer id);

    /**
     * batchInsert
     * @param list
     * @return
     */
    int batchInsert(@Param("list") List<SupplierContractPackPrice> list);

    /**
     * selectByContractId
     * @param contractId
     * @return
     */
    List<SupplierContractPackPriceVo> selectByContractId(Integer contractId);

    /**
     * selectPureByContractId
     * @param contractId
     * @return
     */
    List<SupplierContractPackPrice> selectPureByContractId(@Param("contractId") int contractId);

    /**
     * deleteByContractId
     * @param contractId
     * @return
     */
    int deleteByContractId(Integer contractId);
}