package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.SupplierContractPrice;
import com.boco.nbd.wios.manage.entity.bo.SupplierContractPriceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface SupplierContractPriceMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param supplierContractPrice
     * @return
     */
    int insert(SupplierContractPrice supplierContractPrice);

    /**
     * insertDynamic
     * @param supplierContractPrice
     * @return
     */
    int insertDynamic(SupplierContractPrice supplierContractPrice);

    /**
     * updateDynamic
     * @param supplierContractPrice
     * @return
     */
    int updateDynamic(SupplierContractPrice supplierContractPrice);

    /**
     * update
     * @param supplierContractPrice
     * @return
     */
    int update(SupplierContractPrice supplierContractPrice);

    /**
     * selectById
     * @param id
     * @return
     */
    SupplierContractPrice selectById(Integer id);

    /**
     * batchInsert
     * @param list
     * @return
     */
    int batchInsert(@Param("list") List<SupplierContractPrice> list);

    /**
     * selectByContractId
     * @param contractId
     * @return
     */
    List<SupplierContractPriceVo> selectByContractId(Integer contractId);

    /**
     * selectPureByContractId
     * @param contractId
     * @return
     */
    List<SupplierContractPrice> selectPureByContractId(@Param("contractId") int contractId);

    /**
     * deleteByContractId
     * @param contractId
     * @return
     */
    int deleteByContractId(Integer contractId);
}