package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.SupplierStaff;
import com.boco.nbd.wios.manage.entity.bo.SupplierStaffBo;
import com.boco.nbd.wios.manage.entity.bo.SupplierStaffVo;

import java.util.List;

/**
 * @author haica
 */
public interface SupplierStaffMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param supplierStaff
     * @return
     */
    int insert(SupplierStaff supplierStaff);

    /**
     * insertDynamic
     * @param supplierStaff
     * @return
     */
    int insertDynamic(SupplierStaff supplierStaff);

    /**
     * updateDynamic
     * @param supplierStaff
     * @return
     */
    int updateDynamic(SupplierStaff supplierStaff);

    /**
     * update
     * @param supplierStaff
     * @return
     */
    int update(SupplierStaff supplierStaff);

    /**
     * selectById
     * @param id
     * @return
     */
    SupplierStaff selectById(Integer id);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<SupplierStaffVo> selectByExample(SupplierStaffBo condition);

    /**
     * selectByAccountId
     * @param accountId
     * @return
     */
    List<SupplierStaff> selectByAccountId(Integer accountId);

    /**
     * selectAll
     * @return
     */
    List<SupplierStaffVo> selectAll();
}
