package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.SystemInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface SystemInfoMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param systemInfo
     * @return
     */
    int insert(SystemInfo systemInfo);

    /**
     * insertDynamic
     * @param systemInfo
     * @return
     */
    int insertDynamic(SystemInfo systemInfo);

    /**
     * updateDynamic
     * @param systemInfo
     * @return
     */
    int updateDynamic(SystemInfo systemInfo);

    /**
     * update
     * @param systemInfo
     * @return
     */
    int update(SystemInfo systemInfo);

    /**
     * selectById
     * @param id
     * @return
     */
    SystemInfo selectById(Integer id);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<SystemInfo> selectByExample(SystemInfo condition);

    /**
     * selectUnreadQuantity
     * @param accountId
     * @return
     */
    int selectUnreadQuantity(@Param("accountId") Integer accountId);

    /**
     * getOrderInOverTime
     * @return
     */
    List<SystemInfo> getOrderInOverTime();

    /**
     * selectListByOrderId
     * @param orderId
     * @return
     */
    List<SystemInfo> selectListByOrderId(String orderId);

    /**
     * deleteByOrderId
     * @param orderId
     * @return
     */
    int deleteByOrderId(String orderId);
}
