package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.common.bo.UploadFile;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface UploadFileMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param uploadFile
     * @return
     */
    int insert(UploadFile uploadFile);

    /**
     * insertDynamic
     * @param uploadFile
     * @return
     */
    int insertDynamic(UploadFile uploadFile);

    /**
     * updateDynamic
     * @param uploadFile
     * @return
     */
    int updateDynamic(UploadFile uploadFile);

    /**
     * update
     * @param uploadFile
     * @return
     */
    int update(UploadFile uploadFile);

    /**
     * selectById
     * @param id
     * @return
     */
    UploadFile selectById(Integer id);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<UploadFile> selectByExample(UploadFile condition);

    /**
     * batchInsert
     * @param list
     * @return
     */
    int batchInsert(@Param("list") List<UploadFile> list);

    /**
     * deleteByTypeAndTPId
     * @param type
     * @param tpId
     * @return
     */
    int deleteByTypeAndThirdPartyId(@Param("type") int type, @Param("tPId") String tpId);
}