package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.User;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author kevin
 * @create 2020/11/20 15:22
 */
@Repository
public class UserDao {

    @Resource
    private UserMapper userMapper;

    /**
     * list
     * @param entity
     * @return
     */
    public List<User> list(User entity){
        return userMapper.list(entity);
    }

    /**
     * count
     * @param entity
     * @return
     */
    public Integer count(User entity){
        return userMapper.count(entity);
    }

    /**
     * add
     * @param record
     * @return
     */
    public int add(User record){
        return userMapper.insertSelective(record);
    }

    /**
     * update
     * @param record
     * @return
     */
    public int update(User record){
        return userMapper.updateByPrimaryKeySelective(record);
    }

    /**
     * getById
     * @param id
     * @return
     */
    public User getById(Integer id){
        return userMapper.selectByPrimaryKey(id);
    }

    /**
     * deleteById
     * @param id
     * @return
     */
    public int deleteById(Integer id){
        return userMapper.deleteByPrimaryKey(id);
    }
}
