package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.UserPayBill;
import com.boco.nbd.wios.manage.entity.bo.UserPayBillCriteria;
import com.boco.nbd.wios.manage.entity.bo.UserPayBillVo;
import com.ihidea.core.base.CoreDao;

import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @author haica
 */
public interface UserPayBillMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    long countByExample(UserPayBillCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(UserPayBillCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(UserPayBill record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(UserPayBill record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<UserPayBill> selectByExample(UserPayBillCriteria example);

    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    UserPayBill selectByPrimaryKey(String id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") UserPayBill record, @Param("example") UserPayBillCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") UserPayBill record, @Param("example") UserPayBillCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(UserPayBill record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(UserPayBill record);

    /**
     * list
     * @param entity
     * @return
     */
    List<UserPayBill> list(UserPayBill entity);

    /**
     * count
     * @param entity
     * @return
     */
    int count(UserPayBill entity);

    /**
     * selectList
     * @param entity
     * @return
     */
    List<UserPayBillVo> selectList(UserPayBill entity);

    /**
     * selectListForApp
     * @param entity
     * @return
     */
    List<UserPayBillVo> selectListForApp(UserPayBill entity);
}