package com.boco.nbd.wios.manage.mapper.extdb;

import com.boco.nbd.wios.manage.entity.bo.Company;
import com.boco.nbd.wios.manage.entity.bo.CompanyCriteria;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface CompanyMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    int countByExample(CompanyCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(CompanyCriteria example);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(Company record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(Company record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<Company> selectByExample(CompanyCriteria example);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") Company record, @Param("example") CompanyCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") Company record, @Param("example") CompanyCriteria example);

}
