package com.boco.nbd.wios.manage.mapper.extdb;

import com.boco.nbd.wios.manage.entity.bo.Single;
import com.boco.nbd.wios.manage.entity.bo.SingleCriteria;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface SingleMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    int countByExample(SingleCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(SingleCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(Single record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(Single record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<Single> selectByExample(SingleCriteria example);

    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    Single selectByPrimaryKey(String id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") Single record, @Param("example") SingleCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") Single record, @Param("example") SingleCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(Single record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(Single record);
}