package com.boco.nbd.wios.manage.mapper.extdb;

import com.boco.nbd.wios.manage.entity.bo.WarehouseLeven;
import com.boco.nbd.wios.manage.entity.bo.WarehouseLevenCriteria;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author haica
 */
@Repository
public interface WarehouseLevenMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    int countByExample(WarehouseLevenCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(WarehouseLevenCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(WarehouseLeven record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(WarehouseLeven record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<WarehouseLeven> selectByExample(WarehouseLevenCriteria example);

    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    WarehouseLeven selectByPrimaryKey(Integer id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") WarehouseLeven record, @Param("example") WarehouseLevenCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") WarehouseLeven record, @Param("example") WarehouseLevenCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(WarehouseLeven record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(WarehouseLeven record);
}