package com.boco.nbd.wios.manage.service.impl;

import com.boco.nbd.wios.manage.entity.bo.Company;
import com.boco.nbd.wios.manage.entity.bo.CompanyCriteria;
import com.boco.nbd.wios.manage.mapper.extdb.CompanyMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/19 15:10
 */
@Service
public class CompanyService {

    @Resource
    CompanyMapper companyMapper;

    /**
     * 根据appKey获取企业信息
     * @param orgCode
     * @return
     */
    public List<Company> getCompanyByAppKey(String orgCode){
        CompanyCriteria criteria = new CompanyCriteria();
        criteria.createCriteria().andOrgCodeEqualTo(orgCode);
        return companyMapper.selectByExample(criteria);
    }
}
