package com.boco.nbd.wios.manage.service.impl;

import com.boco.nbd.wios.manage.entity.bo.SystemInfo;
import com.boco.nbd.wios.manage.mapper.def.SystemInfoDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 系统消息service
 *
 * @author xgl
 * @version [版本号, 2020年10月15日]
 */
@Service
public class SystemInfoService {
    @Autowired
    private SystemInfoDao systemInfoDao;

    public List<SystemInfo> getList(SystemInfo condition) {
        return systemInfoDao.selectByExample(condition);
    }

    public void updateStatus(int id, int status) {
        systemInfoDao.updateStatus(id, status);
    }

    public int getUnreadQuantity() {
        return systemInfoDao.selectUnreadQuantity();
    }
}
