package com.boco.nbd.wios.manage.util;

import com.boco.nbd.cams.core.constant.CamsConstant;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author kevin
 * @create 2020/11/16 18:12
 */
public class SpringContextUtil {

    public static HttpServletRequest getRequest(){
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        return attributes == null ? null : attributes.getRequest();
    }

    public static HttpServletResponse getResponse(){
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        return attributes.getResponse();
    }

    public static String getToken(){
        HttpServletRequest request = getRequest();
        return request == null ? null : request.getHeader(CamsConstant.SSO_TOKEN);
    }
}
