package com.boco.nbd.wios.score.entity.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/10/10 17:34
 * @version:V1.0
 * @description:ScoreSupplierPO
 * @modify:
 */
@Data
@Table(name = "t_score_config_v2")
public class ScoreConfigPO implements Serializable {

    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @Column(name = "score_item_id")
    @ApiModelProperty(value = "评分项Id")
    private Integer scoreItemId;

    @Column(name = "score_item")
    @ApiModelProperty(value = "评分项")
    private String scoreItem;

    @Column(name = "total_score")
    @ApiModelProperty(value = "评分总分")
    private Float totalScore;

    @Column(name = "appraisal_department_id")
    @ApiModelProperty(value = "考核部门Id")
    private Integer appraisalDepartmentId;

    @Column(name = "appraisal_department")
    @ApiModelProperty(value = "考核部门")
    private String appraisalDepartment;

    @Column(name = "appraisal_id")
    @ApiModelProperty(value = "考核算法Id")
    private Integer appraisalId;

    @Column(name = "appraisal_describe")
    @ApiModelProperty(value = "考核描述")
    private String appraisalDescribe;

    @Column(name = "appraisal_target")
    @ApiModelProperty(value = "考核目标")
    private String appraisalTarget;

    @Column(name = "appraisal_algorithm")
    @ApiModelProperty(value = "考核算法")
    private String appraisalAlgorithm;

    @Column(name = "weight")
    @ApiModelProperty(value = "分数权重")
    private Float weight;

    @Column(name = "score_weight")
    @ApiModelProperty(value = "分数权重")
    private String scoreWeight;

    @Column(name = "source")
    @ApiModelProperty(value = "评分来源")
    private String source;

    @Column(name = "description")
    @ApiModelProperty(value = "备注说明")
    private String description;

    @Column(name = "create_account")
    @ApiModelProperty(value = "创建人")
    private String createAccount;

    @Column(name = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @Column(name = "status")
    @ApiModelProperty(value = "状态")
    private Integer status;
}
