package com.boco.nbd.wios.score.entity.qo;

import com.boco.nbd.framework.persistence.PageQO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/10/12 15:06
 * @version:V1.0
 * @description:SupplierScoreQo
 * @modify:
 */
@Data
public class SupplierScoreQo extends PageQO {

    @ApiModelProperty(value = "服务商Id")
    private Long supplierId;

    @ApiModelProperty(value = "评价月份 yyyy年MM月")
    private String month;

    @ApiModelProperty(value = "当前登录用户",hidden = true)
    private String loginUserId;

}
