package com.boco.nbd.wios.wx.entity.qo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/8/15 11:12
 * @version:V1.0
 * @description:MinaOrderQo
 * @modify:
 */
@Data
public class MinaOrderQo {

    @ApiModelProperty(value = "订单类型:1 安装工单 2 移桩工单",example = "1")
    private Integer type;

    @ApiModelProperty(value = "订单编号")
    private String id;

    @ApiModelProperty(value = "车企单号")
    private String outOrderId;

    @ApiModelProperty(value = "车主姓名")
    private String userName;

    @ApiModelProperty(value = "订单状态,多个用逗号分割")
    private String status;

    @ApiModelProperty(value = "节点,多个用逗号分割")
    private String next;

    @ApiModelProperty(value = "页码", required = true, example = "1")
    private Integer pageIndex;

    @ApiModelProperty(value = "每页记录数", required = true, example = "50")
    private Integer pageSize;

    @ApiModelProperty(value = "是否分页", required = true, example = "true")
    private Boolean isPaged;
}
