package com.boco.nbd.wios.flow;

import com.boco.nbd.wios.BaseTest;
import com.boco.nbd.wios.core.config.ConfigDicProperties;
import com.boco.nbd.wios.flow.entity.po.OrderPO;
import com.boco.nbd.wios.flow.entity.po.PmUserPO;
import com.boco.nbd.wios.flow.mapper.def.FlowOrderMapper;
import com.boco.nbd.wios.flow.service.ConfigService;
import com.boco.nbd.wios.flow.util.ProcessUtil;
import org.junit.Assert;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author:cao hai
 * @date:2022/7/11 9:33
 * @version:V1.0
 * @description:TODO ConfigServiceImplTest
 * @modify:
 */
public class ConfigServiceImplTest extends BaseTest {

    @Autowired
    private ConfigService configService;

    @Resource
    FlowOrderMapper flowOrderMapper;

    @Test
    public void testGetTransferUser() {
        List<PmUserPO> items = flowOrderMapper.getPmUser();
        OrderPO orderPO = flowOrderMapper.selectByPrimaryKey("CA20220909154050");
        List<String> user = ProcessUtil.getTransferUser(items, orderPO);
        Assert.assertNotNull(user);
    }

    @Test
    public void testGetPmUser() {
        List<PmUserPO> items = flowOrderMapper.getPmUser();
        Assert.assertNotNull(items);
    }

    @Test
    public void testGetDic() {
        ConfigDicProperties properties = configService.getConfigDic();
        Assert.assertNotNull(properties);
    }
}
