package com.boco.nbd.wios.downloadfile.mapper.def;

import com.boco.nbd.wios.downloadfile.model.CptDataInfo;
import com.boco.nbd.wios.downloadfile.model.CptDataInfoCriteria;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface CptDataInfoMapper extends CoreDao {
    /**
     * count
     * @param example
     * @return
     */
    int countByExample(CptDataInfoCriteria example);

    /**
     * delete
     * @param example
     * @return
     */
    int deleteByExample(CptDataInfoCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(CptDataInfo record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(CptDataInfo record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<CptDataInfo> selectByExample(CptDataInfoCriteria example);

    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    CptDataInfo selectByPrimaryKey(String id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") CptDataInfo record, @Param("example") CptDataInfoCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") CptDataInfo record, @Param("example") CptDataInfoCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(CptDataInfo record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(CptDataInfo record);
}