package com.boco.nbd.wios.downloadfile.mapper.def;

import com.boco.nbd.wios.downloadfile.model.CptDataStore;
import com.boco.nbd.wios.downloadfile.model.CptDataStoreCriteria;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface CptDataStoreMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    int countByExample(CptDataStoreCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(CptDataStoreCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(CptDataStore record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(CptDataStore record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<CptDataStore> selectByExample(CptDataStoreCriteria example);

    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    CptDataStore selectByPrimaryKey(String id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") CptDataStore record, @Param("example") CptDataStoreCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") CptDataStore record, @Param("example") CptDataStoreCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(CptDataStore record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(CptDataStore record);
}