package com.boco.nbd.wios.downloadfile.model;

/**
 * @author:cao hai
 * @date:2022/9/29 9:29
 * @version:V1.0
 * @description:CptDataStoreType
 * @modify:
 */
public enum DataStoreTypeEnum {

    /**
     * Cpt存储类型 1 存储数据库IO; 2 存储本地文件IO 3 阿里云存储对象OSS
     */
    DB("1"), LOCAL("2"), OSS("3");

    DataStoreTypeEnum(String key) {
        this.key = key;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    /**
     * 枚举
     */
    private String key;
}
