package com.boco.nbd.wios.flow.entity;

import lombok.Data;

import java.util.Date;

/**
 * @author:cao hai
 * @date:2022/6/28 9:20
 * @version:V1.0
 * @description:SecretPhone
 * @modify:
 */
@Data
public class SecretPhone {

    /**
     * 手机号
     */
    private String phone;

    /**
     * 隐私号码
     */
    private String secretNo;

    /**
     * 号码池
     */
    private String poolKey;

    /**
     * 过期时间
     */
    private Date expiredTime;

    /**
     * 绑定关系id
     */
    private String subsId;

    /**
     * 状态 0：未绑定 1：已绑定
     */
    private Integer status;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 创建时间
     */
    private Date createTime;

}
