package com.boco.nbd.wios.flow.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author:cao hai
 * @date:2022/7/4 13:51
 * @version:V1.0
 * @description:OrderBO
 * @modify:
 */
@Data
public class OrderBO {

    @ApiModelProperty(value = "安装单号")
    private String id;

    @ApiModelProperty(value = "主机厂Id",hidden = true)
    private String oemId;

    @ApiModelProperty(value = "主机厂名称")
    private String oemName;

    @ApiModelProperty(value = "主机厂编码",hidden = true)
    private String oemCode;

    @ApiModelProperty(value = "经销商名称",hidden = true)
    private String oemAgentName;

    @ApiModelProperty(value = "经销商编码",hidden = true)
    private String oemAgentCode;

    @ApiModelProperty(value = "经销商社会信用代码",hidden = true)
    private String oemAgentOrgCode;

    @ApiModelProperty(value = "勘察员工姓名",hidden = true)
    private String surveyStaffName;

    @ApiModelProperty(value = "勘察员工电话",hidden = true)
    private String surveyStaffPhone;

    @ApiModelProperty(value = "安装员工电话",hidden = true)
    private String installStaffPhone;

    @ApiModelProperty(value = "车主虚拟手机号",hidden = true)
    private String virtualUserPhone;

    @ApiModelProperty(value = "设备编号",hidden = true)
    private String wallboxNo;

    @ApiModelProperty(value = "电缆长度",hidden = true)
    private String realCableMeter;

    @ApiModelProperty(value = "增项费用",hidden = true)
    private BigDecimal predictTotalFee;

    @ApiModelProperty(value = "区域")
    private String regionName;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "车主姓名")
    private String userName;

    @ApiModelProperty(value = "车主电话")
    private String userPhone;

    @ApiModelProperty(value = "墙盒品牌")
    private String wallBoxModel;

    @ApiModelProperty(value = "安装服务商")
    private String supplierName;

    @ApiModelProperty(value = "是否为售车前预勘测")
    private String surveyBeforeSaleEnable;

    @ApiModelProperty(value = "订单状态")
    private String status;

    @ApiModelProperty(value = "超时类型")
    private String overtimeType;

    @ApiModelProperty(value = "电工")
    private String installStaffName;

    @ApiModelProperty(value = "报装状态")
    private String expandStatus;

}
