package com.boco.nbd.wios.flow.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;



/**
 * @author:cao zqy
 * @date:2022/6/27
 * @version:V1.0
 * @description:TODO
 * @modify:
 */
@Data
public class OrderTempBO  {


    @ApiModelProperty(value = "安装单号")
    private String id;

    @ApiModelProperty(value = "主机厂/业务名称")
    private String oemName;

    @ApiModelProperty(value = "主机厂/业务代码")
    private String oemCode;

    @ApiModelProperty(value = "区域")
    private String regionName;

    @ApiModelProperty(value = "安装地址")
    private String address;

    @ApiModelProperty(value = "车主姓名")
    private String userSex;

    @ApiModelProperty(value = "车主电话")
    private String userPhone;

    @ApiModelProperty(value = "是否为售车前预勘测")
    private String surveyBeforeSaleEnable;

    @ApiModelProperty(value = "车型")
    private String vehicleModel;

    @ApiModelProperty(value = "车辆底盘号")
    private String vehicleChassisNo;

    @ApiModelProperty(value = "墙盒品牌")
    private String wallboxModel;

    @ApiModelProperty(value = "车位状态")
    private String vehicleParkingStatus;

    @ApiModelProperty(value = "车位号")
    private String vehicleParkingNo;

    @ApiModelProperty(value = "车企安装单号")
    private String outOrderId;

    @ApiModelProperty(value = "发票日期")
    private String invoiceTime;

    @ApiModelProperty(value = "经销商名称")
    private String oemAgentName;

    @ApiModelProperty(value = "经销商联系人")
    private String oemAgentContactName;

    @ApiModelProperty(value = "经销商信息")
    private String oemAgentInfo;

    @ApiModelProperty(value = "小区类型")
    private String estateType;

    @ApiModelProperty(value = "是否有独立车位")
    private String hasIndependentParking;

    @ApiModelProperty(value = "室内/室外")
    private String installPosition;

    @ApiModelProperty(value = "物业是否同意安装")
    private String propertyAgree;

    @ApiModelProperty(value = "是否需要电力报装")
    private String electricExpand;

    @ApiModelProperty(value = "是否需要立柱")
    private String needErectPile;

    @ApiModelProperty(value = "是否需要人工派单")
    private String manuDispatchEnable;

    @ApiModelProperty(value = "是否需要勘测")
    private String isNeedSurvey;

    @ApiModelProperty(value = "安装紧急程度")
    private String installEmergencyLevel;


}
