package com.boco.nbd.wios.flow.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Description: 报表统计查询字段
 * @Author: ZQY
 * @Date: 2022/8/29
 **/
@Data
public class ReportStatisticsBO {

    @ApiModelProperty(value = "区域级别:1 全国 2 区域 3 省份 4 地市")
    private String regionLevel;


    @ApiModelProperty(value = "区域ID")
    private List<String> regionId;


    @ApiModelProperty(value = "安装服务商")
    private List<String> installSupplierId;


    @ApiModelProperty(value = "统计类型 1：区域统计 2：服务商统计 3：厂商统计")
    private String statisticsType;


    @ApiModelProperty(value = "开始时间  yyyy-mm-dd")
    private String startTime;


    @ApiModelProperty(value = "结束时间  yyyy-mm-dd")
    private String endTime;


    @ApiModelProperty(value = "厂商",hidden = true)
    private String oemId;

    @ApiModelProperty(value = "是否需要电力报装 0：否 1：是",hidden = true)
    private String electricExpand;




}
