package com.boco.nbd.wios.flow.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/10/18 19:42
 * @version:V1.0
 * @description:TransferRightBO
 * @modify:
 */
@Data
public class TransferRightBO {

    @ApiModelProperty(value = "是否拥有转派权限")
    private Boolean transferRight;

    @ApiModelProperty(value = "当前安装服务商Id")
    private Integer currentSupplierId;

    @ApiModelProperty(value = "当前安装服务商")
    private String currentSupplierName;

    @ApiModelProperty(value = "当前电工Id")
    private Integer currentStaffId;

    @ApiModelProperty(value = "当前电工")
    private String currentStaffName;

}
