package com.boco.nbd.wios.flow.entity.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 
 * @TableName t_holiday
 */
@Data
@Table(name = "t_holiday")
public class HolidayPO implements Serializable {

    @Id
    @Column(name = "id")
    private String id;

    @ApiModelProperty(value = "日期 yyyy-mm-dd")
    @Column(name = "holiday_date")
    private String holidayDate;

    @ApiModelProperty(value = "节日说明")
    @Column(name = "holiday_desc")
    private String holidayDesc;

    @ApiModelProperty(value = "节日类型:节假日  调休工作日")
    @Column(name = "holiday_type")
    private String holidayType;


}