package com.boco.nbd.wios.flow.entity.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author:cao hai
 * @date:2022/6/22 13:57
 * @version:V1.0
 * @description:NodePO
 * @modify:
 */
@Data
@Table(name = "tv3_lug_nodes")
public class NodePO implements Serializable {

    @Column(name = "flow_id")
    @ApiModelProperty(value = "流程ID")
    private Long flowId;

    @Column(name = "node_name")
    @ApiModelProperty(value = "节点名称")
    private String nodeName;

    @Column(name = "node_code")
    @ApiModelProperty(value = "节点编号")
    private String nodeCode;

    @Id
    @Column(name = "node_id")
    @ApiModelProperty(value = "唯一标示")
    private Long nodeId;

}
