package com.boco.nbd.wios.flow.entity.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @author yong
 * @TableName t_order_blocked
 */
@Data
@Table(name = "t_order_blocked")
public class OrderBlockedPO implements Serializable {
    /**
     * id
     */
    @Id
    @Column(name = "id")
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 订单ID
     */
    @Column(name = "order_id")
    @ApiModelProperty(value = "订单ID")
    private String orderId;

    /**
     * 流程节点标识
     */
    @Column(name = "node_flag")
    @ApiModelProperty(value = "流程节点标识")
    private String nodeFlag;


    /**
     * 流程节点标识
     */
    @Column(name = "current_node")
    @ApiModelProperty(value = "节点名称")
    private String currentNode;

    /**
     * 备注
     */
    @Column(name = "remarks")
    @ApiModelProperty(value = "备注")
    private String remarks;

    /**
     * 是否受阻
     */
    @Column(name = "whether")
    @ApiModelProperty(value = "是否受阻")
    private String whether;

    /**
     * 受阻状态标签
     */
    @Column(name = "status")
    @ApiModelProperty(value = "受阻状态标签")
    private String status;

    /**
     * 状态更新时间
     */
    @Column(name = "update_time")
    @ApiModelProperty(value = "状态更新时间")
    private Date updateTime;

    /**
     * 下次更新时间
     */
    @Column(name = "next_time")
    @ApiModelProperty(value = "下次更新时间")
    private Date nextTime;

}