package com.boco.nbd.wios.flow.entity.po;

import com.boco.nbd.framework.persistence.PageQO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author:cao zqy
 * @date:2022/8/10
 * @version:V1.0
 * @description:t_plan_task
 * @modify:
 */
@Data
@Table(name = "t_plan_task")
public class PlanTaskPO extends PageQO implements Serializable {


    @Id
    @Column(name = "id")
    private String id;

    @Column(name = "year")
    @ApiModelProperty(value = "年份",required = true)
    private String year;


    @Column(name = "oem_name")
    @ApiModelProperty(value = "主机厂名称",required = true)
    private String oemName;


    @Column(name = "jan_count")
    @ApiModelProperty(value = "1月数量")
        private Integer janCount;


    @Column(name = "feb_count")
    @ApiModelProperty(value = "2月数量")
    private Integer febCount;


    @Column(name = "mar_count")
    @ApiModelProperty(value = "3月数量")
    private Integer marCount;


    @Column(name = "apr_count")
    @ApiModelProperty(value = "4月数量")
    private Integer aprCount;


    @Column(name = "may_count")
    @ApiModelProperty(value = "5月数量")
    private Integer mayCount;


    @Column(name = "jun_count")
    @ApiModelProperty(value = "6月数量")
    private Integer junCount;


    @Column(name = "jul_count")
    @ApiModelProperty(value = "7月数量")
    private Integer julCount;


    @Column(name = "aug_count")
    @ApiModelProperty(value = "8月数量")
    private Integer augCount;


    @Column(name = "sep_count")
    @ApiModelProperty(value = "9月数量")
    private Integer sepCount;


    @Column(name = "oct_count")
    @ApiModelProperty(value = "10月数量")
    private Integer octCount;


    @Column(name = "nov_count")
    @ApiModelProperty(value = "11月数量")
    private Integer novCount;


    @Column(name = "dec_count")
    @ApiModelProperty(value = "12月数量")
    private Integer decCount;

    @Column(name = "create_user")
    private String createUser;


}