package com.boco.nbd.wios.flow.entity.po;

import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/7/20 6:34
 * @version:V1.0
 * @description: VendorPO
 * @modify:
 */
@Data
public class VendorPO {

    /**
     * 厂家
     */
    private Long vendorId;

    private String vendorName;

    /**
     * 全部选项
     *
     * @return
     */
    public static VendorPO getAllItem() {
        VendorPO po = new VendorPO();
        po.setVendorId(0L);
        po.setVendorName("全部");
        return po;
    }

    /**
     * cams选项
     *
     * @return
     */
    public static VendorPO getCamsItem() {
        VendorPO po = new VendorPO();
        po.setVendorId(-1L);
        po.setVendorName("CAMS");
        return po;
    }
}
