package com.boco.nbd.wios.flow.entity.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/11/23 17:56
 * @version:V1.0
 * @description:VisitOrderPO
 * @modify:
 */
@Data
public class VisitOrderPO {

    @ApiModelProperty(value = "外部订单编号,车企安装单号")
    private String outOrderId;

    @ApiModelProperty(value = "来源")
    private String source;

    @ApiModelProperty(value = "车主姓名")
    private String userName;

    @ApiModelProperty(value = "车主电话")
    private String userPhone;

    @ApiModelProperty(value = "评分")
    private Integer score;

    @ApiModelProperty(value = "是否了解墙盒售后问题反馈渠道：0-否，1：是")
    private Integer knowAfterSalesChannel;

    @ApiModelProperty(value = "墙盒线缆的安装长度")
    private Integer installLength;

    @ApiModelProperty(value = "评分信息")
    private String scoreData;

}
