package com.boco.nbd.wios.flow.entity.qo;

import com.boco.nbd.wios.flow.entity.FlowConstant;
import lombok.Data;

/**
 * @author:cao hai
 * @date:2022/7/20 7:50
 * @version:V1.0
 * @description:FlowNodeUserQo
 * @modify:
 */
@Data
public class FlowNodeUserQo {

    private String flowCode;

    private Integer nodeCode;

    private Integer vendorId;

    private String userName;

    /**
     * 初始化
     *
     * @param nodeCode
     * @return
     */
    public static FlowNodeUserQo init(Integer nodeCode) {
        return init(nodeCode, null);
    }

    /**
     * 初始化
     *
     * @param nodeCode
     * @param vendorId
     * @return
     */
    public static FlowNodeUserQo init(Integer nodeCode, Integer vendorId) {
        FlowNodeUserQo qo = new FlowNodeUserQo();
        qo.setFlowCode(FlowConstant.FLOW_CODE);
        qo.setNodeCode(nodeCode);
        qo.setVendorId(vendorId);

        return qo;
    }
}
