package com.boco.nbd.wios.flow.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author:cao hai
 * @date:2022/10/27 20:36
 * @version:V1.0
 * @description:AppOrderDetailVO
 * @modify:
 */
@Data
public class AppOrderDetailVO {

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "工单号")
    private String orderId;

    @ApiModelProperty(value = "订单状态")
    private String statusText;

    @ApiModelProperty(value = "账单编号")
    private String billId;

    @ApiModelProperty(value = "账单状态0-未支付 1-已支付")
    private Integer billStatus;

    @ApiModelProperty(value = "操作日志列表")
    private List<AppOperateLogVO> operateLogList;

}
