package com.boco.nbd.wios.flow.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author:cao hai
 * @date:2022/10/28 15:21
 * @version:V1.0
 * @description:TODO AppPayBillVO
 * @modify:
 */
@Data
public class AppPayBillVO {

    @ApiModelProperty(value = "支付时间")
    private String payTime;

    @ApiModelProperty(value = "账单编号")
    private String billId;

    @ApiModelProperty(value = "账单金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "安装订单状态")
    private Integer orderStatus;

    @ApiModelProperty(value = "安装订单状态文字")
    private String orderStatusText;

    @ApiModelProperty(value = "工单编号")
    private String orderId;

    @ApiModelProperty(value = "工单安装完成时间")
    private String installFinishTime;

    @ApiModelProperty(value = "支付状态 0-未支付 1-已支付")
    private Integer payStatus;

}
