package com.boco.nbd.wios.flow.enums;

/**
 * @Description: 评价管理接口名称枚举
 * @Author: ZQY
 * @Date: 2022/10/24
 **/
public enum EvaluationStatisticsEnum {

    /**
     * 方法名称枚举
     */
    Evaluation_OrderTakingTime("OrderTakingTime"),
    Evaluation_OrderSurveyTime("OrderSurveyTime"),
    Evaluation_OrderSurveyDataUploadTime("OrderSurveyDataUploadTime"),
    Evaluation_OrderInstallationTime("OrderInstallationTime"),
    Evaluation_OrderInstallationDataUploadTime("OrderInstallationDataUploadTime"),
    Evaluation_AllOrderInstallationNoElectricExpandTime("AllOrderInstallationNoElectricExpandTime"),
    Evaluation_AllOrderInstallationElectricExpandTime("AllOrderInstallationElectricExpandTime");

    EvaluationStatisticsEnum(String value) {
        this.value = value;
    }

    /**
     * 枚举
     */
    private  String value;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
