package com.boco.nbd.wios.flow.enums;

/**
 * @author:cao hai
 * @date:2022/7/4 17:54
 * @version:V1.0
 * @description:TODO valueType
 * @modify:
 */
public enum ValueTypeEnum {

    /**
     * 枚举 https://procomponents.ant.design/components/schema/#valuetype-%E5%88%97%E8%A1%A8
     */
    PASSWORD("password", "密码输入框"),
    MONEY("money", "金额输入框"),
    TEXTAREA("textarea", "文本域"),
    DATE("date", "日期"),
    DATETIME("dateTime", "日期时间"),
    DATE_WEEK("dateWeek", "周"),
    DATE_MONTH("dateMonth", "月"),
    DATE_QUARTER("dateQuarter", "季度输入"),
    DATE_YEAR("dateYear", "年份输入"),
    DATE_RANGE("dateRange", "日期区间"),
    DATE_TIME_RANGE("dateTimeRange", "日期时间区间"),
    TIME("time", "时间"),
    TIME_RANGE("timeRange", "时间区间"),
    TEXT("text", "文本框"),
    SELECT("select", "下拉框"),
    TREE_SELECT("treeSelect", "树形下拉框"),
    CHECK_BOX("checkbox", "多选框"),
    RATE("rate", "星级组件"),
    RADIO("radio", "单选框"),
    RADIO_BUTTON("radioButton", "按钮单选框"),
    PROGRESS("progress", "进度条"),
    PERCENT("percent", "百分比组件"),
    DIGIT("digit", "数字输入框"),
    SECOND("second", "秒格式化"),
    AVATAR("avatar", "头像"),
    CODE("code", "代码框"),
    SWITCH("switch", "开关"),
    FROM_NOW("fromNow", "相对于当前时间"),
    IMAGE("image", "图片"),
    JSON_CODE("jsonCode", "代码框，但是带了 json 格式化"),
    COLOR("color", "颜色选择器"),
    CASCADER("cascader", "级联选择器");

    ValueTypeEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    /**
     * 枚举
     */
    private String key;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    /**
     * 值
     */
    private String value;


}
