package com.boco.nbd.wios.flow.mapper.def;

import com.boco.nbd.framework.persistence.BaseMapper3;
import com.boco.nbd.wios.flow.entity.po.GroupPO;
import org.apache.ibatis.annotations.Param;

/**
 * @author:cao hai
 * @date:2022/6/23 9:30
 * @version:V1.0
 * @description:GroupMapper
 * @modify:
 */
public interface GroupMapper extends BaseMapper3<GroupPO> {

    /**
     * 删除节点与组关系
     *
     * @param groupId
     * @return
     */
    Integer deleteNodeGroup(@Param(value = "groupId") Long groupId);

    /**
     * 删除用户组关系
     *
     * @param groupId
     * @return
     */
    Integer deleteUserGroup(@Param(value = "groupId") Long groupId);

}
