package com.boco.nbd.wios.flow.mapper.def;

import com.boco.nbd.framework.persistence.BaseMapper3;
import com.boco.nbd.wios.flow.entity.po.HolidayPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @Description:
 * @Author: ZQY
 * @Date: 2022/8/16
 **/
public interface HolidayMapper extends BaseMapper3<HolidayPO> {

    /**
     * 获取列表
     * @param date
     * @return
     */
    List<HolidayPO>  getList(String date);


    /**
     * 根据类型获取时间
     * @param holidayType
     * @param date
     * @return
     */
    List<String> getListByType(@Param("holidayType") String holidayType,@Param("date") String date);


}
