package com.boco.nbd.wios.flow.mapper.def;

import com.boco.nbd.framework.persistence.BaseMapper3;
import com.boco.nbd.wios.flow.entity.po.OemCascadePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description 主机厂级联关系查询
 * @Author Yu
 * @Date 2022/7/14
 */
public interface OemCascadeMapper extends BaseMapper3<OemCascadePO> {

    /**
     * 级联查询
     * @param omeId
     * @return
     */
    List<OemCascadePO> getCascadePO(@Param("oemId") String omeId);

    /**
     * 查询
     * @param id
     * @return
     */
    List<OemCascadePO> getCascadeById(@Param("id") String id);

}
