package com.boco.nbd.wios.flow.mapper.def;


import com.boco.nbd.framework.persistence.BaseMapper3;
import com.boco.nbd.wios.flow.entity.po.OrderBlockedPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: OrderBlockedMapper
 * @Author: ZQY
 * @Date: 2022/8/3
 **/
public interface OrderBlockedMapper extends BaseMapper3<OrderBlockedPO> {

    /**
     * 获取受阻信息列表
     * @param orderId
     * @param nodeFlag
     * @return
     */
    List<OrderBlockedPO> getAllByIdList(@Param("orderId") String orderId,@Param("nodeFlag") String nodeFlag);


}
