package com.boco.nbd.wios.flow.mapper.def;

import com.boco.nbd.wios.flow.entity.SecretPhone;

import java.util.List;


/**
 * @author haica
 */
public interface SecretPhoneMapper {
    /**
     * 删除
     * @param phone
     * @return
     */
    int delete(String phone);

    /**
     * 新增
     * @param secretPhone
     * @return
     */
    int insert(SecretPhone secretPhone);

    /**
     * 新增（动态）
     * @param secretPhone
     * @return
     */
    int insertDynamic(SecretPhone secretPhone);

    /**
     * 修改动态
     * @param secretPhone
     * @return
     */
    int updateDynamic(SecretPhone secretPhone);

    /**
     * 修改
     * @param secretPhone
     * @return
     */
    int update(SecretPhone secretPhone);

    /**
     * 查询
     * @param phone
     * @return
     */
    SecretPhone selectByPhone(String phone);

    /**
     * 查询（查询条件）
     * @param condition
     * @return
     */
    List<SecretPhone> selectByExample(SecretPhone condition);

    /**
     * 查询过期
     * @return
     */
    List<SecretPhone> selectExpired();
}