package com.boco.nbd.wios.flow.service;

import com.boco.nbd.framework.persistence.IBaseDaoService3;
import com.boco.nbd.wios.flow.entity.bo.FlowVO;
import com.boco.nbd.wios.flow.entity.po.FlowPO;

import java.util.List;

/**
 * @author:cao hai
 * @date:2022/6/22 14:57
 * @version:V1.0
 * @description:TODO IFlowPOService
 * @modify:
 */
public interface IFlowService extends IBaseDaoService3<FlowPO> {

    /**
     * 查询所有功能
     * @return
     */
    List<String> selectAllCategory();


    /**
     * 核查流程标识
     * @param po
     * @return
     */
    boolean checkFlow(FlowPO po);

    /**
     * 查询所有流程
     * @return
     */
    List<FlowVO> selectAllFlow();

    /**
     * 根据名称查询流程
     * @param categoryName
     * @param flowName
     * @return
     */
    List<FlowPO> getFlowByName(String categoryName, String flowName);
}
