package com.boco.nbd.wios.flow.service;


import com.boco.nbd.framework.common.ResponseMessage2;
import com.boco.nbd.framework.persistence.IBaseDaoService3;
import com.boco.nbd.wios.flow.entity.po.HolidayPO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
*
*/
public interface IHolidayService extends IBaseDaoService3<HolidayPO> {


    /**
     * 获取节日配置列表
     * @return
     */
    List<HolidayPO> getList();

    /**
     * 导入节日配置
     * @param file
     * @return
     */
    ResponseMessage2<Boolean> importExcel(MultipartFile file);


    /**
     * 根据类型获取时间
     * @param holidayType
     * @return
     */
    List<String> getListByType(String holidayType);

}
