package com.boco.nbd.wios.flow.service;

import com.boco.nbd.wios.flow.entity.bo.InstallationCompletionRateBO;
import com.boco.nbd.wios.flow.entity.bo.InstallationDataStatisticsBO;
import com.boco.nbd.wios.flow.entity.bo.InstallationDurationStatisticsBO;
import com.boco.nbd.wios.flow.entity.bo.ReportStatisticsBO;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * @Description: TODO
 * @Author: ZQY
 * @Date: 2022/8/29
 **/
public interface IReportStatisticsService {


    /**
     * 充电桩安装数据统计
     * @param reportStatisticsBO
     * @return
     */
    List<InstallationDataStatisticsBO> getInstallationDataStatistics(ReportStatisticsBO reportStatisticsBO);

    /**
     * 充电桩安装订单时长统计报表
     * @param reportStatisticsBO
     * @return
     */
    List<InstallationDurationStatisticsBO> getInstallationDurationStatistics(ReportStatisticsBO reportStatisticsBO);


    /**
     * 时效统计
     * @param reportStatisticsBO
     * @return
     */
    List<Map<String,String>> getTimeStatistics(ReportStatisticsBO reportStatisticsBO,String methodType);


    /**
     * 安装完成率统计
     * @param reportStatisticsBO
     * @return
     */
    List<InstallationCompletionRateBO> getInstallationCompletionRate(ReportStatisticsBO reportStatisticsBO);





}
