package com.boco.nbd.wios.log.enums;

/**
 * @Description: 接口监控枚举
 * @Author: ZQY
 * @Date: 2022/10/24
 **/
public enum InterfaceMonitorEnum {

    /**
     * 方法名称枚举
     */
    Evaluation_ReCallSap("重推SAP"),
    Evaluation_SyncNewItemSap("SAP同步增项"),
    Evaluation_InstallationAuditSap("安装审核通过调用SAP接口"),
    Evaluation_InvoicingStatusSap("更新套包内开票状态调用SAP接口"),
    Evaluation_TicketStatusSap("更新服务商收票状态调用SAP接口");

    InterfaceMonitorEnum(String value) {
        this.value = value;
    }

    /**
     * 枚举
     */
    private String value;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
