package com.boco.nbd.wios.manage.entity.bo;

import com.boco.nbd.wios.core.entity.BaseBean;

import java.util.List;

/**
 * 数节点抽象类
 *
 * @author lilin
 * @version [版本号, 2020年5月21日]
 */
public abstract class AbstractTreeNode extends BaseBean  {
    /**
     * 注释内容
     */
    private static final long serialVersionUID = -8927233522583659388L;

    /**
     * 定义设置子节点的方法供子类实现
     *
     * @param children 子节点
     */
    public abstract void setChildTreeNode(List<? extends AbstractTreeNode> children);
}
