package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author haica
 */
@Data
public class CamsAccountVo extends CamsAccount {

    @ApiModelProperty(value = "用户名字")
    private String userName;

    @ApiModelProperty(value = "登陆手机号")
    private String userAccount;

    @ApiModelProperty(value = "用户邮箱")
    private String userEmail;

    @ApiModelProperty(value = "区域名称")
    private String regionName;

    @ApiModelProperty(value = "角色名字")
    private String roleName;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(hidden = true,value = "角色id")
    private Integer roleId;

    @ApiModelProperty(hidden = true,value = "部门")
    private Department dept;

    @ApiModelProperty(hidden = true,value = "区域")
    private List<RegionVo> regions;

    /**
     * 转换
     * @return
     */
    public CamsBaseAccountVo toBaseVo(){
        CamsBaseAccountVo vo=new CamsBaseAccountVo();
        vo.setUserName(this.userName);
        vo.setAccountId(this.getAccountId());

        return vo;
    }

}
