package com.boco.nbd.wios.manage.entity.bo;

import com.boco.nbd.wios.manage.entity.common.bo.UploadFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author yong
 */
@Data
public class OemContractVo extends OemContract {

    @ApiModelProperty("增项费用")
    private List<OrderInstallItemVo> itemFees;

    @ApiModelProperty("高附加值")
    private List<OrderInstallItemVo> itemHighAdd;
    /**
     * 明细
     */
    @ApiModelProperty(hidden = true)
    private List<OemContractItemVo> items;

    @ApiModelProperty(hidden = true)
    private List<OemContractPriceVo> prices;

    @ApiModelProperty(hidden = true)
    private List<UploadFile> files;

    @ApiModelProperty(value = "主机厂名称")
    private String oemName;

    @ApiModelProperty(value = "主机厂code")
    private String oemCode;

    @ApiModelProperty(value = "设备结算方名称")
    private String deviceSettlementName;

    @ApiModelProperty(value = "安装结算方名称")
    private String installSettlementName;

    @ApiModelProperty(value = "产生的订单数量")
    private Integer orderQuantity;

}
