package com.boco.nbd.wios.manage.entity.bo;


import com.boco.nbd.wios.flow.entity.vo.OrderInstallItemVO;
import lombok.Data;
import org.springframework.beans.BeanUtils;

import java.math.BigDecimal;

/**
 * @author yong
 */
@Data
public class OrderInstallItemVo extends OrderInstallItem {

    private BigDecimal price;

    private BigDecimal taxRate;

    private BigDecimal ratePrice;

    /**
     * 转换
     *
     * @return
     */
    public OrderInstallItemVO toVo() {
        OrderInstallItemVO vo = new OrderInstallItemVO();
        BeanUtils.copyProperties(this, vo);
        vo.setAreSelect(true);
        return vo;
    }
}
