package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author haica
 * modify 2022-11-17 查询接口 前端加载 下载时间偏长 取消原先 extends Region
 * <p>
 * 原先一期字段 未发现时限 注释掉 ，有问题再放开
 * @ApiModelProperty(value = "派单比例配置id")
 * private String dispatchConfigId;
 * @ApiModelProperty(value = "派单比例")
 * private Integer dispatchNum;
 */
@Data
public class RegionVo {

    @ApiModelProperty(hidden = true, value = "是否选中")
    private Boolean checked = false;

    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "idTree")
    private String idTree;

    @ApiModelProperty(value = "下级区域列表")
    private List<RegionVo> children = new ArrayList<>();
}
