package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class SupplierBo extends Supplier {

    @ApiModelProperty(hidden = true)
    private List<Integer> orderStatusNotInList;

    @ApiModelProperty(hidden = true)
    private String createStartTime;

    @ApiModelProperty(hidden = true)
    private String createEndTime;

    @ApiModelProperty(hidden = true)
    private String account;

    @ApiModelProperty(hidden = true)
    private Integer roleId;

    @ApiModelProperty(value = "是否签了合同 0：否 1：是")
    private Integer hasContract;

    @ApiModelProperty(value = "服务区域id")
    private Integer serviceRegionId;

    @ApiModelProperty(hidden = true)
    private List<String> ids;
    @ApiModelProperty(value = "级别 A：自建精品团队 B：经销商安装服务团队 C：三方安装服务商")
    private String level;

    public List<Integer> getOrderStatusNotInList() {
        return orderStatusNotInList;
    }

    public void setOrderStatusNotInList(List<Integer> orderStatusNotInList) {
        this.orderStatusNotInList = orderStatusNotInList;
    }

    public String getCreateStartTime() {
        return createStartTime;
    }

    public String getCreateEndTime() {
        return createEndTime;
    }

    public void setCreateStartTime(String createStartTime) {
        this.createStartTime = createStartTime;
    }

    public void setCreateEndTime(String createEndTime) {
        this.createEndTime = createEndTime;
    }

    public String getAccount() {
        return account;
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public Integer getHasContract() {
        return hasContract;
    }

    public void setHasContract(Integer hasContract) {
        this.hasContract = hasContract;
    }

    public Integer getServiceRegionId() {
        return serviceRegionId;
    }

    public void setServiceRegionId(Integer serviceRegionId) {
        this.serviceRegionId = serviceRegionId;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    @Override
    public String getLevel() {
        return level;
    }

    @Override
    public void setLevel(String level) {
        this.level = level;
    }
}
