package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class SupplierStaff {
    /**
     * id
     */
    @ApiModelProperty(hidden = true)
    private Integer id;

    /**
     * 员工姓名
     */
    @ApiModelProperty(value = "员工姓名", required = true)
    private String name;

    /**
     * 服务商编号
     */
    @ApiModelProperty(value = "服务商编号")
    private Integer supplierId;

    /**
     * 电话
     */
    @ApiModelProperty(value = "电话", required = true)
    private String phone;

    /**
     * 电工证级别
     */
    @ApiModelProperty(hidden = true)
    private Integer certLevel;

    /**
     * 电工证有效期
     */
    @ApiModelProperty(hidden = true)
    private Date certExpire;

    /**
     * 是否投保 0-未投保 1-已投保
     */
    @ApiModelProperty(value = "是否投保 0-未投保 1-已投保", required = true)
    private Integer isInsure;

    /**
     * 电工保险单据
     */
    @ApiModelProperty(value = "电工保险单据", required = true)
    private String insureFiles;

    /**
     * 电工身份证
     */
    @ApiModelProperty(value = "电工身份证", required = true)
    private String idcardFiles;

    /**
     * 状态 0禁用 1启用
     */
    @ApiModelProperty(hidden = true)
    private Integer status;

    /**
     * 数据权限 1：个人 2：全部
     */
    @ApiModelProperty(value = "数据权限 1：个人 2：全部", required = true)
    private Integer dataAuth;

    /**
     * 电工证图片
     */
    @ApiModelProperty(value = "电工证图片", required = true)
    private String certFiles;

    /**
     * 绑定的账号id
     */
    @ApiModelProperty(hidden = true)
    private Integer accountId;

    /**
     * 创建人
     */
    @ApiModelProperty(hidden = true)
    private String createAccount;

    /**
     * 创建时间
     */
    @ApiModelProperty(hidden = true)
    private Date createTime;

    /**
     * 修改人
     */
    @ApiModelProperty(hidden = true)
    private String modifyAccount;

    /**
     * 修改时间
     */
    @ApiModelProperty(hidden = true)
    private Date modifyTime;

    public String getIdcardFiles() {
        return idcardFiles;
    }

    public void setIdcardFiles(String idcardFiles) {
        this.idcardFiles = idcardFiles;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Integer supplierId) {
        this.supplierId = supplierId;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getCertLevel() {
        return certLevel;
    }

    public void setCertLevel(Integer certLevel) {
        this.certLevel = certLevel;
    }

    public Date getCertExpire() {
        return certExpire;
    }

    public void setCertExpire(Date certExpire) {
        this.certExpire = certExpire;
    }

    public Integer getIsInsure() {
        return isInsure;
    }

    public void setIsInsure(Integer isInsure) {
        this.isInsure = isInsure;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDataAuth() {
        return dataAuth;
    }

    public void setDataAuth(Integer dataAuth) {
        this.dataAuth = dataAuth;
    }

    public String getCertFiles() {
        return certFiles;
    }

    public void setCertFiles(String certFiles) {
        this.certFiles = certFiles;
    }

    public Integer getAccountId() {
        return accountId;
    }

    public void setAccountId(Integer accountId) {
        this.accountId = accountId;
    }

    public String getCreateAccount() {
        return createAccount;
    }

    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifyAccount() {
        return modifyAccount;
    }

    public void setModifyAccount(String modifyAccount) {
        this.modifyAccount = modifyAccount;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getInsureFiles() {
        return insureFiles;
    }

    public void setInsureFiles(String insureFiles) {
        this.insureFiles = insureFiles;
    }
}
