package com.boco.nbd.wios.manage.entity.bo;

import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 墙盒申请
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@Data
public class WallboxApply {
    /** 自增id */
    private Long id;

    /** 安装订单号 */
    private String orderId;

    /** 安装服务商id */
    private Long supplierId;

    /** 申请团队名称 */
    private String supplierTeam;

    /** 墙盒设备型号（对应物料id） */
    private String wallboxItemId;

    /** 墙盒品牌 */
    private String wallboxModel;

    /** 物料类型 */
    private String materialType;

    /** 物流单号 */
    private String trackingNumber;

    /** 物流状态0未发货，1已发货 */
    private String trackingStatus;

    /** 安装状态 */
    private String installStatus;

    /** 区域id */
    private String regionId;

    /** 地址 */
    private String address;

    /** 车企安装单号 */
    private String outOrderId;

    /** 是否紧急：0：否，1：是 */
    private Integer ifEmergency;

    /** 是否超时:0：未超时，1：已超时 */
    private Long ifTimeout;

    /** 审核人员 */
    private String checkAccount;

    /** 申请状态：1：已申请，2：已通过，3：已驳回，4：已关闭 */
    private Long checkStatus;

    /** 审核备注 */
    private String checkRemarks;

    /** 审核时间 */
    private Date checkTime;

    /** 预约安装日期 */
    private Date installReserveTime;

    /** 安装进度 */
    private Long installProcess;

    /** 创建人 */
    private String createAccount;

    /** 创建时间 */
    private Date createdTime;

    /** 更新人 */
    private String modifyAccount;

    /** 更新时间 */
    private Date modifyTime;

    /** 所属区域 */
    private String areaName;
    /** 收货人 */
    private String receiver;
    /** 收货人电话 */
    private String receiverPhone;
    /** 收货仓库id */
    private String receiverWarehouseId;
    /** 收货仓库名称 */
    private String receiverWarehouseName;
}
