/**
 * Project Name: warehouse
 * File Name: WarehouseEx
 * Package Name: com.starcharge.warehouse.daoEx.model
 * Date: 2020/10/29 08:56
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.bo;

import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/29 08:56
 */
public class WarehouseEx extends Warehouse {

    private Integer parentId;

    private String pathCode;

    private String pathName;
    private String serviceProviderName;
    private String superiorWarehouseName;
    @ApiModelProperty(value = "仓库归属名称")
    private String warehouseAttributionName;

    @Override
    public String getWarehouseAttributionName() {
        return warehouseAttributionName;
    }

    @Override
    public void setWarehouseAttributionName(String warehouseAttributionName) {
        this.warehouseAttributionName = warehouseAttributionName;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getPathCode() {
        return pathCode;
    }

    public void setPathCode(String pathCode) {
        this.pathCode = pathCode;
    }

    public String getPathName() {
        return pathName;
    }

    public void setPathName(String pathName) {
        this.pathName = pathName;
    }

    public String getServiceProviderName() {
        return serviceProviderName;
    }

    public void setServiceProviderName(String serviceProviderName) {
        this.serviceProviderName = serviceProviderName;
    }

    public String getSuperiorWarehouseName() {
        return superiorWarehouseName;
    }

    public void setSuperiorWarehouseName(String superiorWarehouseName) {
        this.superiorWarehouseName = superiorWarehouseName;
    }
}
