package com.boco.nbd.wios.manage.entity.bo;

import java.math.BigDecimal;

public class WarehouseMaterials extends WarehouseMaterialsKey {
    private BigDecimal totalNumber;

    private BigDecimal hasNumber;

    private BigDecimal remainingNumber;

    private BigDecimal stayWithNumber;

    public BigDecimal getTotalNumber() {
        return totalNumber;
    }

    public void setTotalNumber(BigDecimal totalNumber) {
        this.totalNumber = totalNumber;
    }

    public BigDecimal getHasNumber() {
        return hasNumber;
    }

    public void setHasNumber(BigDecimal hasNumber) {
        this.hasNumber = hasNumber;
    }

    public BigDecimal getRemainingNumber() {
        return remainingNumber;
    }

    public void setRemainingNumber(BigDecimal remainingNumber) {
        this.remainingNumber = remainingNumber;
    }

    public BigDecimal getStayWithNumber() {
        return stayWithNumber;
    }

    public void setStayWithNumber(BigDecimal stayWithNumber) {
        this.stayWithNumber = stayWithNumber;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        WarehouseMaterials other = (WarehouseMaterials) that;
        return (this.getMaterialsId() == null ? other.getMaterialsId() == null : this.getMaterialsId().equals(other.getMaterialsId()))
            && (this.getWarehouseId() == null ? other.getWarehouseId() == null : this.getWarehouseId().equals(other.getWarehouseId()))
            && (this.getTotalNumber() == null ? other.getTotalNumber() == null : this.getTotalNumber().equals(other.getTotalNumber()))
            && (this.getHasNumber() == null ? other.getHasNumber() == null : this.getHasNumber().equals(other.getHasNumber()))
            && (this.getRemainingNumber() == null ? other.getRemainingNumber() == null : this.getRemainingNumber().equals(other.getRemainingNumber()))
            && (this.getStayWithNumber() == null ? other.getStayWithNumber() == null : this.getStayWithNumber().equals(other.getStayWithNumber()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getMaterialsId() == null) ? 0 : getMaterialsId().hashCode());
        result = prime * result + ((getWarehouseId() == null) ? 0 : getWarehouseId().hashCode());
        result = prime * result + ((getTotalNumber() == null) ? 0 : getTotalNumber().hashCode());
        result = prime * result + ((getHasNumber() == null) ? 0 : getHasNumber().hashCode());
        result = prime * result + ((getRemainingNumber() == null) ? 0 : getRemainingNumber().hashCode());
        result = prime * result + ((getStayWithNumber() == null) ? 0 : getStayWithNumber().hashCode());
        return result;
    }
}