package com.boco.nbd.wios.manage.entity.bo;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class WarehouseMaterialsCriteria {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public WarehouseMaterialsCriteria() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andMaterialsIdIsNull() {
            addCriterion("materials_id is null");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdIsNotNull() {
            addCriterion("materials_id is not null");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdEqualTo(String value) {
            addCriterion("materials_id =", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdNotEqualTo(String value) {
            addCriterion("materials_id <>", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdGreaterThan(String value) {
            addCriterion("materials_id >", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdGreaterThanOrEqualTo(String value) {
            addCriterion("materials_id >=", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdLessThan(String value) {
            addCriterion("materials_id <", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdLessThanOrEqualTo(String value) {
            addCriterion("materials_id <=", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdLike(String value) {
            addCriterion("materials_id like", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdNotLike(String value) {
            addCriterion("materials_id not like", value, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdIn(List<String> values) {
            addCriterion("materials_id in", values, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdNotIn(List<String> values) {
            addCriterion("materials_id not in", values, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdBetween(String value1, String value2) {
            addCriterion("materials_id between", value1, value2, "materialsId");
            return (Criteria) this;
        }

        public Criteria andMaterialsIdNotBetween(String value1, String value2) {
            addCriterion("materials_id not between", value1, value2, "materialsId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNull() {
            addCriterion("warehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNotNull() {
            addCriterion("warehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdEqualTo(String value) {
            addCriterion("warehouse_id =", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotEqualTo(String value) {
            addCriterion("warehouse_id <>", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThan(String value) {
            addCriterion("warehouse_id >", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThanOrEqualTo(String value) {
            addCriterion("warehouse_id >=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThan(String value) {
            addCriterion("warehouse_id <", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThanOrEqualTo(String value) {
            addCriterion("warehouse_id <=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLike(String value) {
            addCriterion("warehouse_id like", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotLike(String value) {
            addCriterion("warehouse_id not like", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIn(List<String> values) {
            addCriterion("warehouse_id in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotIn(List<String> values) {
            addCriterion("warehouse_id not in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdBetween(String value1, String value2) {
            addCriterion("warehouse_id between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotBetween(String value1, String value2) {
            addCriterion("warehouse_id not between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andTotalNumberIsNull() {
            addCriterion("total_number is null");
            return (Criteria) this;
        }

        public Criteria andTotalNumberIsNotNull() {
            addCriterion("total_number is not null");
            return (Criteria) this;
        }

        public Criteria andTotalNumberEqualTo(BigDecimal value) {
            addCriterion("total_number =", value, "totalNumber");
            return (Criteria) this;
        }

        public Criteria andTotalNumberNotEqualTo(BigDecimal value) {
            addCriterion("total_number <>", value, "totalNumber");
            return (Criteria) this;
        }

        public Criteria andTotalNumberGreaterThan(BigDecimal value) {
            addCriterion("total_number >", value, "totalNumber");
            return (Criteria) this;
        }

        public Criteria andTotalNumberGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_number >=", value, "totalNumber");
            return (Criteria) this;
        }

        public Criteria andTotalNumberLessThan(BigDecimal value) {
            addCriterion("total_number <", value, "totalNumber");
            return (Criteria) this;
        }

        public Criteria andTotalNumberLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_number <=", value, "totalNumber");
            return (Criteria) this;
        }

        public Criteria andTotalNumberIn(List<BigDecimal> values) {
            addCriterion("total_number in", values, "totalNumber");
            return (Criteria) this;
        }

        public Criteria andTotalNumberNotIn(List<BigDecimal> values) {
            addCriterion("total_number not in", values, "totalNumber");
            return (Criteria) this;
        }

        public Criteria andTotalNumberBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_number between", value1, value2, "totalNumber");
            return (Criteria) this;
        }

        public Criteria andTotalNumberNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_number not between", value1, value2, "totalNumber");
            return (Criteria) this;
        }

        public Criteria andHasNumberIsNull() {
            addCriterion("has_number is null");
            return (Criteria) this;
        }

        public Criteria andHasNumberIsNotNull() {
            addCriterion("has_number is not null");
            return (Criteria) this;
        }

        public Criteria andHasNumberEqualTo(BigDecimal value) {
            addCriterion("has_number =", value, "hasNumber");
            return (Criteria) this;
        }

        public Criteria andHasNumberNotEqualTo(BigDecimal value) {
            addCriterion("has_number <>", value, "hasNumber");
            return (Criteria) this;
        }

        public Criteria andHasNumberGreaterThan(BigDecimal value) {
            addCriterion("has_number >", value, "hasNumber");
            return (Criteria) this;
        }

        public Criteria andHasNumberGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("has_number >=", value, "hasNumber");
            return (Criteria) this;
        }

        public Criteria andHasNumberLessThan(BigDecimal value) {
            addCriterion("has_number <", value, "hasNumber");
            return (Criteria) this;
        }

        public Criteria andHasNumberLessThanOrEqualTo(BigDecimal value) {
            addCriterion("has_number <=", value, "hasNumber");
            return (Criteria) this;
        }

        public Criteria andHasNumberIn(List<BigDecimal> values) {
            addCriterion("has_number in", values, "hasNumber");
            return (Criteria) this;
        }

        public Criteria andHasNumberNotIn(List<BigDecimal> values) {
            addCriterion("has_number not in", values, "hasNumber");
            return (Criteria) this;
        }

        public Criteria andHasNumberBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("has_number between", value1, value2, "hasNumber");
            return (Criteria) this;
        }

        public Criteria andHasNumberNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("has_number not between", value1, value2, "hasNumber");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberIsNull() {
            addCriterion("remaining_number is null");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberIsNotNull() {
            addCriterion("remaining_number is not null");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberEqualTo(BigDecimal value) {
            addCriterion("remaining_number =", value, "remainingNumber");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberNotEqualTo(BigDecimal value) {
            addCriterion("remaining_number <>", value, "remainingNumber");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberGreaterThan(BigDecimal value) {
            addCriterion("remaining_number >", value, "remainingNumber");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("remaining_number >=", value, "remainingNumber");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberLessThan(BigDecimal value) {
            addCriterion("remaining_number <", value, "remainingNumber");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberLessThanOrEqualTo(BigDecimal value) {
            addCriterion("remaining_number <=", value, "remainingNumber");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberIn(List<BigDecimal> values) {
            addCriterion("remaining_number in", values, "remainingNumber");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberNotIn(List<BigDecimal> values) {
            addCriterion("remaining_number not in", values, "remainingNumber");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("remaining_number between", value1, value2, "remainingNumber");
            return (Criteria) this;
        }

        public Criteria andRemainingNumberNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("remaining_number not between", value1, value2, "remainingNumber");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberIsNull() {
            addCriterion("stay_with_number is null");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberIsNotNull() {
            addCriterion("stay_with_number is not null");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberEqualTo(BigDecimal value) {
            addCriterion("stay_with_number =", value, "stayWithNumber");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberNotEqualTo(BigDecimal value) {
            addCriterion("stay_with_number <>", value, "stayWithNumber");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberGreaterThan(BigDecimal value) {
            addCriterion("stay_with_number >", value, "stayWithNumber");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("stay_with_number >=", value, "stayWithNumber");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberLessThan(BigDecimal value) {
            addCriterion("stay_with_number <", value, "stayWithNumber");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberLessThanOrEqualTo(BigDecimal value) {
            addCriterion("stay_with_number <=", value, "stayWithNumber");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberIn(List<BigDecimal> values) {
            addCriterion("stay_with_number in", values, "stayWithNumber");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberNotIn(List<BigDecimal> values) {
            addCriterion("stay_with_number not in", values, "stayWithNumber");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("stay_with_number between", value1, value2, "stayWithNumber");
            return (Criteria) this;
        }

        public Criteria andStayWithNumberNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("stay_with_number not between", value1, value2, "stayWithNumber");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}