package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @author haica
 */
public enum AttachmentDeliver implements IOperator {

    /**
     * AttachmentDeliver
     */
    ONE(1, "电卡2张"), 
    TWO(2, "出厂检测报告"),
    THREE(3, "三年质保卡"), 
    FOUR(4, "使用说明书"),
    FIVE(5, "其它"),
    
    ;
    
    private int type;
    
    private String value;
    
    AttachmentDeliver(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        AttachmentDeliver[] values = AttachmentDeliver.values();
        for (AttachmentDeliver os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
