package com.boco.nbd.wios.manage.entity.cams.enums;


/**
 * @author haica
 * 小程序电缆规格
 */

public enum CableType implements IOperator {

    /**
     * CableType
     */
    THREE_SIX(1, "ZR-YJV-3*6mm²"), THREE_TEN(2, "ZR-YJV-3*10mm²"), THREE_SIXTEEN(3, "ZR-YJV-3*16mm²");

    private int type;

    private String value;

    CableType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        CableType[] values = CableType.values();
        for (CableType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
