package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @author haica
 */
public enum ContractStatus implements IOperator {

    /**
     * ContractStatus
     */
    NOT_START(1, "未开始"), EFFECTIVE(2, "生效中"), INVALID(3, "已失效"),;
    
    private int type;
    
    private String value;
    
    ContractStatus(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        ContractStatus[] values = ContractStatus.values();
        for (ContractStatus os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
