package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @author haica
 */
public enum ScoreStatus implements IOperator {

    /**
     * ScoreStatus
     */
    INVALID(0, "无效的"), PROCESSING(1, "评分中"), FINISHED(2, "已完结"),;

    private int type;

    private String value;

    ScoreStatus(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        ScoreStatus[] values = ScoreStatus.values();
        for (ScoreStatus os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
