package com.boco.nbd.wios.manage.entity.cams.enums;

/**
 * @author haica
 */
public enum SignalType implements IOperator {

    /**
     * SignalType
     */
    MOBILE(1, "移动"), TELECOM(2, "电信"), UNICOM(3, "联通");

    private int type;

    private String value;

    SignalType(int type, String value) {
        this.type = type;
        this.value = value;
    }
    
    public static String getText(int type) {
        SignalType[] values = SignalType.values();
        for (SignalType os : values) {
            if (os.getType() == type) {
                return os.getValue();
            }
        }
        return null;
    }
    
    @Override
    public int getType() {
        return type;
    }
    
    @Override
    public String getValue() {
        return value;
    }
}
