/**
 * Project Name: warehouse
 * File Name: SingleDTO
 * Package Name: com.starcharge.warehouse.dto.single
 * Date: 2020/10/22 16:27
 * Copyright (c) 2020,All Rights Reserved.
 */
package com.boco.nbd.wios.manage.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description
 * @author lvpeng
 * @date 2020/10/22 16:27
 */
@Data
public class SingleDTO {

    @ApiModelProperty(value = "单据编号")
    private String id;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "创建用户")
    private String createAccount;

    @ApiModelProperty(value = "说明")
    private String info;

    @ApiModelProperty(value = "类型 0:调拨单 1:入库单 2:退回单 3:出库单")
    private Integer type;

    @ApiModelProperty(value = "调入仓库名称")
    private String transferInName;

    @ApiModelProperty(value = "调出仓库名称")
    private String transferOutName;

    @ApiModelProperty(value = "收货地址")
    private String shippingAddress;

    @ApiModelProperty(value = "联系电话")
    private String contactNumber;

    @ApiModelProperty(value = "收货人")
    private String receiver;

    @ApiModelProperty(value = "转入安装服务商")
    private String serviceProviderIn;

    @ApiModelProperty(value = "转出安装服务商")
    private String serviceProviderOut;
}
