package com.boco.nbd.wios.manage.entity.vo;

import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 墙盒申请分页响应结果
 * <p>
 *
 * @author <a href="mail to: ning.chai@foxmail.com" rel="nofollow">chaining</a>
 */
@Data
public class WallboxApplyPageVO {

    /** 自增id */
    private Long id;

    /** 安装订单号 */
    private String installationOrderId;

    /** 安装服务商id */
    private String supplierId;

    /** 申请团队名称 */
    private String supplierTeam;

    /** 墙盒设备型号（对应物料id） */
    private String wallboxItemId;
    /** 物料类型 */
    private String materialType;
    /** 墙盒品牌*/
    private String wallboxModel;
    /** 墙盒类型*/
    private String wallboxType;


    /** 区域id */
    private String regionId;

    private Date installReserveTime;

    private String outOrderId;

    /** 审核备注 */
    private String checkRemarks;

    /** 是否紧急：0：否，1：是 */
    private Integer ifEmergency;

    /** 是否超时:0：未超时，1：已超时 */
    private Long ifTimeout;

    /** 申请状态：0：已申请，1：已通过，2：已驳回，3：已关闭 */
    private Long checkStatus;

    /** 创建人 */
    private String createAccount;

    /** 创建时间 */
    private Date createdTime;

    /** 更新人 */
    private String modifyAccount;

    /** 更新时间 */
    private Date modifyTime;

    /** 审核人 */
    private String checkAccount;
    /** 审核时间 */
    private Date checkTime;

    /** 物流状态 */
    private String logisticsStatus;
}
