package com.boco.nbd.wios.manage.enums;


/**
 * @author:cao hai
 * @date:2022/9/20 09:20
 * @version:V1.0
 * @description:FileUseType
 * @modify:
 */
public enum FileUseType {

    /**
     * 附件 使用类型
     */
    USER_WALL_BOX(1, "用户与墙盒合影"), WALL_BOX(2, "墙盒铭牌"),
    WALL_BOX_OPEN(3, "空开（体现品牌型号）"), WALL_BOX_LEAKAGE(4, "漏保（可看到品牌及型号）"),
    INSTALL_ATTACHMENT(5, "安装附件");

    FileUseType(Integer type, String value) {
        this.type = type;
        this.value = value;
    }


    public Integer getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    /**
     * 枚举
     */
    private Integer type;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    /**
     * 值
     */
    private String value;

}
