package com.boco.nbd.wios.manage.enums;

/**
 * @author:cao hai
 * @date:2022/9/26 17:55
 * @version:V1.0
 * @description:InvoiceSubmitType
 * @modify:
 */
public enum InvoiceSubmitType {

    /**
     * 提交项 1-服务开票，2-设备开票，两个同时-3
     */
    SUPPLIER(1, "服务开票"), DEVICE(2, "设备开票"),
    ALL(3, "两个同时");

    InvoiceSubmitType(Integer type, String value) {
        this.type = type;
        this.value = value;
    }


    public Integer getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    /**
     * 枚举
     */
    private Integer type;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    /**
     * 值
     */
    private String value;
}
