package com.boco.nbd.wios.manage.enums;

/**
 * @author:cao hai
 * @date:2022/9/17 16:42
 * @version:V1.0
 * @description:WareHouseOrderEnum
 * @modify:
 */
public enum WareHouseOrderEnum {

    /**
     * wareHouse 单子
     */
    TRANSFER_SINGLE(0, "调拨单"), WAREHOUSING_SINGLE(1, "入库单"),
    WITHDRAWAL_SINGLE(2, "退回单"), OUT_SINGLE(3, "出库单");

    WareHouseOrderEnum(Integer type, String value) {
        this.type = type;
        this.value = value;
    }


    public Integer getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    /**
     * 枚举
     */
    private Integer type;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    /**
     * 值
     */
    private String value;

}
