package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.Account;
import com.boco.nbd.wios.manage.entity.bo.AccountCriteria;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface AccountMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    int countByExample(AccountCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(AccountCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(Account record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(Account record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<Account> selectByExample(AccountCriteria example);

    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    Account selectByPrimaryKey(Integer id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") Account record, @Param("example") AccountCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") Account record, @Param("example") AccountCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(Account record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(Account record);
}
