package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.ExpandPrice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface ExpandPriceMapper {

    /**
     * 删
     *
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * 增
     *
     * @param expandPrice
     * @return
     */
    int insert(ExpandPrice expandPrice);

    /**
     * 增(动态）
     *
     * @param expandPrice
     * @return
     */
    int insertDynamic(ExpandPrice expandPrice);

    /**
     * 改(动态)
     *
     * @param expandPrice
     * @return
     */
    int updateDynamic(ExpandPrice expandPrice);

    /**
     * 改
     *
     * @param expandPrice
     * @return
     */
    int update(ExpandPrice expandPrice);

    /**
     * 查
     *
     * @param id
     * @return
     */
    ExpandPrice selectById(Integer id);

    /**
     * 根据regionId查询
     *
     * @param regionId
     * @return
     */
    List<ExpandPrice> selectByRegionId(@Param("regionId") Integer regionId);

}