package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.MaterialConfig;
import com.boco.nbd.wios.manage.entity.bo.MaterialConfigBo;
import com.boco.nbd.wios.manage.entity.bo.MaterialConfigVo;

import java.util.List;

/**
 * @author haica
 */
public interface MaterialConfigMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param materialConfig
     * @return
     */
    int insert(MaterialConfig materialConfig);

    /**
     * insertDynamic
     * @param materialConfig
     * @return
     */
    int insertDynamic(MaterialConfig materialConfig);

    /**
     * updateDynamic
     * @param materialConfig
     * @return
     */
    int updateDynamic(MaterialConfig materialConfig);

    /**
     * update
     * @param materialConfig
     * @return
     */
    int update(MaterialConfig materialConfig);

    /**
     * selectById
     * @param id
     * @return
     */
    MaterialConfigVo selectById(Integer id);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<MaterialConfigVo> selectByExample(MaterialConfigBo condition);
}