package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.OperateLog;
import com.boco.nbd.wios.manage.entity.bo.OperateLogBo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface OperateLogMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param operateLog
     * @return
     */
    int insert(OperateLog operateLog);

    /**
     * insertDynamic
     * @param operateLog
     * @return
     */
    int insertDynamic(OperateLog operateLog);

    /**
     * updateDynamic
     * @param operateLog
     * @return
     */
    int updateDynamic(OperateLog operateLog);

    /**
     * update
     * @param operateLog
     * @return
     */
    int update(OperateLog operateLog);

    /**
     * selectById
     * @param id
     * @return
     */
    OperateLog selectById(Integer id);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<OperateLog> selectByExample(OperateLogBo condition);

    /**
     * getNewestCheckFailByOrderId
     * @param orderId
     * @param name
     * @return
     */
    OperateLog getNewestCheckFailByOrderId(@Param("orderId") String orderId, @Param("name")String name);

    /**
     * deleteByOrderId
     * @param orderId
     * @return
     */
    int deleteByOrderId(String orderId);
}