package com.boco.nbd.wios.manage.mapper.def;



import com.boco.nbd.wios.manage.entity.bo.ScoreConfig;

import java.util.List;


/**
 * @author haica
 */
public interface ScoreConfigMapper {

    /**
     * insert
     * @param scoreConfig
     * @return
     */
    int insert(ScoreConfig scoreConfig);

    /**
     * update
     * @param scoreConfig
     * @return
     */
    int update(ScoreConfig scoreConfig);

    /**
     * selectById
     * @param id
     * @return
     */
    ScoreConfig selectById(Integer id);

    /**
     * getListByType
     * @param type
     * @return
     */
    List<ScoreConfig> getListByType(String type);

    /**
     * selectByCode
     * @param code
     * @return
     */
    ScoreConfig selectByCode(String code);

    /**
     * selectByPCode
     * @param parentCode
     * @return
     */
    List<ScoreConfig> selectByParentCodeCode(String parentCode);
}