package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.flow.entity.SecretPhone;
import com.boco.nbd.wios.flow.mapper.def.SecretPhoneMapper;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author haica
 */
@Repository
public class SecretPhoneDao {
    @Resource
    private SecretPhoneMapper secretPhoneMapper;

    public int insert(SecretPhone secretPhone) {
        secretPhone.setCreateTime(new Date());
        secretPhone.setStatus(1);
        return secretPhoneMapper.insert(secretPhone);
    }

    public int delete(String phone) {
        return secretPhoneMapper.delete(phone);
    }

    public int updateDynamic(SecretPhone secretPhone) {
        secretPhone.setUpdateTime(new Date());
        return secretPhoneMapper.updateDynamic(secretPhone);
    }

    public List<SecretPhone> selectByExample(SecretPhone condition) {
        return secretPhoneMapper.selectByExample(condition);
    }

    public List<SecretPhone> selectExpired() {
        return secretPhoneMapper.selectExpired();
    }

    public SecretPhone selectByPhone(String phone) {
        return secretPhoneMapper.selectByPhone(phone);
    }
}
