package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.settlement.po.SettlementDetail;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author haica
 */
@Repository
public class SettlementDetailDao {
    @Resource
    private SettlementDetailMapper settlementDetailMapper;
    
    public int insert(SettlementDetail settlementDetail) {
        settlementDetail.setCreateTime(new Date());
        return settlementDetailMapper.insert(settlementDetail);
    }
    
    public List<SettlementDetail> selectByOemId(int oemId, String installFinishStartTime, String installFinishEndTime) {
        return settlementDetailMapper.selectByOemId(oemId, installFinishStartTime, installFinishEndTime);
    }
    
    public List<SettlementDetail> selectBySettlementId(String settlementId) {
        return settlementDetailMapper.selectBySettlementId(settlementId);
    }
    
    public int batchUpdateSettlementId(List<Integer> idList, String settlementId) {
        return settlementDetailMapper.batchUpdateSettlementId(idList, settlementId);
    }

    public void deleteByOrderId(String orderId) {
        settlementDetailMapper.deleteByOrderId(orderId);
    }
}
