package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.settlement.po.Settlement;
import com.boco.nbd.wios.manage.entity.settlement.vo.SettlementVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface SettlementMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * insert
     * @param settlement
     * @return
     */
    int insert(Settlement settlement);

    /**
     * insertDynamic
     * @param settlement
     * @return
     */
    int insertDynamic(Settlement settlement);

    /**
     * updateDynamic
     * @param settlement
     * @return
     */
    int updateDynamic(Settlement settlement);

    /**
     * update
     * @param settlement
     * @return
     */
    int update(Settlement settlement);

    /**
     * selectById
     * @param id
     * @return
     */
    Settlement selectById(Integer id);

    /**
     * selectBySettlementId
     * @param settlementId
     * @return
     */
    Settlement selectBySettlementId(String settlementId);

    /**
     * selectByExample
     * @param condition
     * @return
     */
    List<SettlementVo> selectByExample(Settlement condition);

    /**
     * getSettlementByCondition
     * @param startDate
     * @param endDate
     * @param oemIdList
     * @param type
     * @return
     */
    List<Settlement> getSettlementByCondition(@Param("startDate") String startDate, @Param("endDate") String endDate,@Param("list")  List<String> oemIdList, @Param("type") int type);
}