package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.SupplierContractItem;
import com.boco.nbd.wios.manage.entity.bo.SupplierContractItemVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 服务商合同条款
 * 
 * @author
 * @version
 */
@Repository
public class SupplierContractItemDao {
    @Autowired
    private SupplierContractItemMapper itemMapper;
    
    public SupplierContractItem selectById(int id) {
        return itemMapper.selectById(id);
    }
    
    public List<SupplierContractItemVo> selectByContractId(Integer contractId) {
        return itemMapper.selectByContractId(contractId);
    }
    
    public List<SupplierContractItem> selectPureByContractId(int contractId) {
        return itemMapper.selectPureByContractId(contractId);
    }
    
    public List<SupplierContractItem> selectByItemId(String itemId) {
        return itemMapper.selectByItemId(itemId);
    }
    
    public int batchInsert(List<SupplierContractItem> list) {
        return itemMapper.batchInsert(list);
    }
    
    public int deleteByContractId(int contractId) {
        return itemMapper.deleteByContractId(contractId);
    }
}
