package com.boco.nbd.wios.manage.mapper.def;


import com.boco.nbd.wios.manage.entity.bo.SupplierContractPrice;
import com.boco.nbd.wios.manage.entity.bo.SupplierContractPriceVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * 服务商合同价格
 * 
 * @author
 * @version
 */
@Repository
public class SupplierContractPriceDao {
    @Resource
    private SupplierContractPriceMapper supplierContractPriceMapper;
    
    public SupplierContractPrice selectById(int id) {
        return supplierContractPriceMapper.selectById(id);
    }
    
    public List<SupplierContractPriceVo> selectByContractId(Integer contractId) {
        return supplierContractPriceMapper.selectByContractId(contractId);
    }
    
    public List<SupplierContractPrice> selectPureByContractId(int contractId) {
        return supplierContractPriceMapper.selectPureByContractId(contractId);
    }
    
    public int batchInsert(List<SupplierContractPrice> list) {
        return supplierContractPriceMapper.batchInsert(list);
    }
    
    public int deleteByContractId(int contractId) {
        return supplierContractPriceMapper.deleteByContractId(contractId);
    }
}
