package com.boco.nbd.wios.manage.mapper.def;



import com.boco.nbd.wios.manage.entity.bo.SystemNotice;
import com.boco.nbd.wios.manage.entity.bo.SystemNoticeBo;
import com.boco.nbd.wios.manage.entity.bo.SystemNoticeVo;

import java.util.List;

/**
 * @author haica
 */
public interface SystemNoticeMapper {

    /**
     * delete
     * @param id
     * @return
     */
    int delete(String id);

    /**
     * insert
     * @param systemNotice
     * @return
     */
    int insert(SystemNotice systemNotice);

    /**
     * selectById
     * @param id
     * @return
     */
    SystemNotice selectById(String id);

    /**
     * getList
     * @param condition
     * @return
     */
    List<SystemNoticeVo> getList(SystemNoticeBo condition );

    /**
     * getDetail
     * @param condition
     * @return
     */
    SystemNoticeVo getDetail(SystemNoticeBo condition );

    /**
     * updateNotice
     * @param systemNotice
     * @return
     */
    int updateNotice(SystemNoticeBo systemNotice);

}
