package com.boco.nbd.wios.manage.mapper.def;

import com.boco.nbd.wios.manage.entity.bo.User;
import com.boco.nbd.wios.manage.entity.bo.UserCriteria;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yong
 */
public interface UserMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    long countByExample(UserCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(UserCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(User record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(User record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<User> selectByExample(UserCriteria example);

    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    User selectByPrimaryKey(Integer id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") User record, @Param("example") UserCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") User record, @Param("example") UserCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(User record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(User record);

    /**
     * list
     * @param entity
     * @return
     */
    List<User> list(User entity);

    /**
     * count
     * @param entity
     * @return
     */
    Integer count(User entity);
}