package com.boco.nbd.wios.manage.mapper.extdb;

import com.boco.nbd.wios.manage.entity.bo.Warehouse;
import com.boco.nbd.wios.manage.entity.bo.WarehouseCriteria;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author haica
 */
@Repository
public interface WarehouseMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    int countByExample(WarehouseCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(WarehouseCriteria example);

    /**
     * deleteByPrimaryKey
     * @param id
     * @return
     */
    int deleteByPrimaryKey(String id);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(Warehouse record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(Warehouse record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<Warehouse> selectByExample(WarehouseCriteria example);

    /**
     * selectByPrimaryKey
     * @param id
     * @return
     */
    Warehouse selectByPrimaryKey(String id);
    /**
     * 根据id查询上级仓库ID数量
     * @param id
     * @return
     */
    int selectBySuperiorWarehouseId(String id);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") Warehouse record, @Param("example") WarehouseCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") Warehouse record, @Param("example") WarehouseCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(Warehouse record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(Warehouse record);
}