package com.boco.nbd.wios.manage.mapper.extdb;

import com.boco.nbd.wios.manage.entity.bo.WarehouseMaterials;
import com.boco.nbd.wios.manage.entity.bo.WarehouseMaterialsCriteria;
import com.boco.nbd.wios.manage.entity.bo.WarehouseMaterialsKey;
import com.ihidea.core.base.CoreDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haica
 */
public interface WarehouseMaterialsMapper extends CoreDao {

    /**
     * countByExample
     * @param example
     * @return
     */
    int countByExample(WarehouseMaterialsCriteria example);

    /**
     * deleteByExample
     * @param example
     * @return
     */
    int deleteByExample(WarehouseMaterialsCriteria example);

    /**
     * deleteByPrimaryKey
     * @param key
     * @return
     */
    int deleteByPrimaryKey(WarehouseMaterialsKey key);

    /**
     * insert
     * @param record
     * @return
     */
    int insert(WarehouseMaterials record);

    /**
     * insertSelective
     * @param record
     * @return
     */
    int insertSelective(WarehouseMaterials record);

    /**
     * selectByExample
     * @param example
     * @return
     */
    List<WarehouseMaterials> selectByExample(WarehouseMaterialsCriteria example);

    /**
     * selectByPrimaryKey
     * @param key
     * @return
     */
    WarehouseMaterials selectByPrimaryKey(WarehouseMaterialsKey key);

    /**
     * updateByExampleSelective
     * @param record
     * @param example
     * @return
     */
    int updateByExampleSelective(@Param("record") WarehouseMaterials record, @Param("example") WarehouseMaterialsCriteria example);

    /**
     * updateByExample
     * @param record
     * @param example
     * @return
     */
    int updateByExample(@Param("record") WarehouseMaterials record, @Param("example") WarehouseMaterialsCriteria example);

    /**
     * updateByPrimaryKeySelective
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(WarehouseMaterials record);

    /**
     * updateByPrimaryKey
     * @param record
     * @return
     */
    int updateByPrimaryKey(WarehouseMaterials record);
}