package com.boco.nbd.wios.score.entity.vo;

import com.boco.nbd.wios.score.entity.bo.ScoreSupplierItemBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author:cao hai
 * @date:2022/10/12 20:58
 * @version:V1.0
 * @description:ScoreSupplierVO
 * @modify:
 */
@Data
public class ScoreSupplierVO {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "服务商")
    private String supplierName;

    @ApiModelProperty(value = "综合评分")
    private Float finalScore;

    @ApiModelProperty(value = "片区")
    private String regionName;

    @ApiModelProperty(value = "考核周期")
    private String month;

    @ApiModelProperty(value = "明细数据")
    private List<ScoreSupplierItemBO> items;

}
