package com.boco.nbd.wios.wx.vo;

import com.boco.nbd.wios.manage.entity.common.bo.UploadFile;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author kevin
 * @create 2020/11/25 16:13
 */
@Data
public class MinaOrderMoveChangeVO implements Serializable {

    @ApiModelProperty("订单编号")
    private String orderId;

    @ApiModelProperty("附件JSON字符串")
    private String filesJson;

    @ApiModelProperty("附件列表")
    private List<UploadFile> files;
}