package com.boco.nbd.wios.wx.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author kevin
 * @create 2020/11/2 20:18
 */
@ApiModel
@Data
public class MinaOrderProcessDetailVO<T> {
    @ApiModelProperty(value = "订单信息", required = true)
    private MinaOrderVO order;

    @ApiModelProperty(value = "订单进度详情")
    private T processDetail;

    /**
     * 报装单价
     */
    private BigDecimal expandPrice;
}
