package com.boco.nbd.wios.wx.vo;

import com.boco.nbd.wios.manage.entity.bo.OrderVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author kevin
 * @create 2020/11/2 20:13
 */
@Data
public class MinaOrderVO extends OrderVo {

    @ApiModelProperty(value = "订单编号", required = true)
    private String id;

    @ApiModelProperty(value = "订单类型 1-勘察安装订单 2-移装订单", required = true)
    private Integer type;

    @ApiModelProperty(value = "经销商ID", required = true)
    private Integer oemId;

    @ApiModelProperty(value = "区域ID", required = true)
    private String regionId;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "订单状态编码", required = true)
    private Integer status;

    @ApiModelProperty(value = "订单状态代码", required = true)
    private String statusCode;

    @ApiModelProperty(value = "订单状态名称", required = true)
    private String statusName;

    @ApiModelProperty(value = "车主姓名", required = true)
    private String userName;

    @ApiModelProperty(value = "车主电话", required = true)
    private String userPhone;

    @ApiModelProperty(value = "安装地址", required = true)
    private String address;

    @ApiModelProperty(value = "勘察员工姓名")
    private String surveyStaffName;

    @ApiModelProperty(value = "勘察员工电话")
    private String surveyStaffPhone;

    @ApiModelProperty(value = "安装员工姓名")
    private String installStaffName;

    @ApiModelProperty(value = "安装员工电话")
    private String installStaffPhone;

    @ApiModelProperty(value = "是否显示预约异常按钮/是否预约超时")
    private Boolean showReserveExpBtn = Boolean.FALSE;

    @ApiModelProperty(value = "车主虚拟手机号")
    private String virtualUserPhone;
}
