package com.boco.nbd.wios.wx.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author kevin
 * @create 2020/11/30 11:44
 */
@Data
public class WxOrderVO implements Serializable {

    @ApiModelProperty("工单编号")
    private String orderId;

    @ApiModelProperty("车主姓名")
    private String userName;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("创建日期")
    private String createDate;

    @ApiModelProperty("状态")
    private Integer status;

    @ApiModelProperty("是否已评价")
    private Boolean hasOrderScore;

    @ApiModelProperty("是否存在安装订单/账单")
    private Boolean hasGenBill;

    @ApiModelProperty("账单金额")
    private BigDecimal billAmount;
}
